Index: content/content.ent
===================================================================
--- content/content.ent	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/content.ent	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -4,7 +4,11 @@
 <!ENTITY content-databases SYSTEM "databases/databases.xml">
 <!ENTITY % db SYSTEM "databases/db/db.ent">
+<!ENTITY % db-3.3 SYSTEM "databases/db-3.3/db-3.3.ent">
+<!ENTITY % db-3.1 SYSTEM "databases/db-3.1/db-3.1.ent">
 <!ENTITY % mysql SYSTEM "databases/mysql/mysql.ent">
 <!ENTITY % postgres SYSTEM "databases/postgres/postgres.ent">
 %db;
+%db-3.3;
+%db-3.1;
 %mysql;
 %postgres;
Index: content/databases/databases.xml
===================================================================
--- content/databases/databases.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/databases.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -4,4 +4,6 @@
 
 &db;
+&db-3.3;
+&db-3.1;
 &mysql;
 &postgres;
Index: content/databases/db-3.1.xml
===================================================================
--- content/databases/db-3.1.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.1.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -1,11 +1,11 @@
-<sect1 id="db-3.1.17" xreflabel="db-&db-3.1.17-version;">
-<?dbhtml filename="db-3.1.17.html" dir="gnome"?>
-<title>db-&db-3.1.17-version;</title>
+<sect1 id="db-3.1" xreflabel="db-&db-3.1-version;">
+<?dbhtml filename="db-&db-3.1-version;.html" dir="gnome"?>
+<title>db-&db-3.1-version;</title>
 
-&db-3.1.17-intro;
-&db-3.1.17-inst;
-&db-3.1.17-exp;
-&db-3.1.17-config;
-&db-3.1.17-desc;
+&db-3.1-intro;
+&db-3.1-inst;
+&db-3.1-exp;
+&db-3.1-config;
+&db-3.1-desc;
 
 </sect1>
Index: content/databases/db-3.3.xml
===================================================================
--- content/databases/db-3.3.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.3.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -1,12 +1,11 @@
-<sect1 id="db-3.3.11" xreflabel="db-3.3.11">
-<?dbhtml filename="db-3.3.11.html" dir="gnome"?>
-<title>db-&db-3.3.11-version;</title>
+<sect1 id="db-3.3" xreflabel="db-&db-3.3-version;">
+<?dbhtml filename="db-&db-3.3-version;.html" dir="gnome"?>
+<title>db-&db-3.3-version;</title>
 
-&db-3.3.11-intro;
-&db-3.3.11-inst;
-&db-3.3.11-exp;
-&db-3.3.11-config;
-&db-3.3.11-desc;
+&db-3.3-intro;
+&db-3.3-inst;
+&db-3.3-exp;
+&db-3.3-config;
+&db-3.3-desc;
 
 </sect1>
-
Index: content/databases/db-3.3/db-3.3-config.xml
===================================================================
--- content/databases/db-3.3/db-3.3-config.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.3/db-3.3-config.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring db-3.3.11</title>
+<title>Configuring db-&db-3.3-version;</title>
 
 &library-config;
Index: content/databases/db-3.3/db-3.3-desc.xml
===================================================================
--- content/databases/db-3.3/db-3.3-desc.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.3/db-3.3-desc.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The db-3.3.11 package contains
+<para>The db-&db-3.3-version; package contains
 <userinput>db_archive</userinput>,
 <userinput>db_checkpoint</userinput>,
Index: content/databases/db-3.3/db-3.3-inst.xml
===================================================================
--- content/databases/db-3.3/db-3.3-inst.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.3/db-3.3-inst.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of db-3.3.11</title>
+<title>Installation of db-&db-3.3-version;</title>
 
-<para>Install db-3.3.11 by running the following commands:</para>
+<para>Install db-&db-3.3-version; by running the following commands:</para>
 
 <para><screen><userinput>
Index: content/databases/db-3.3/db-3.3-intro.xml
===================================================================
--- content/databases/db-3.3/db-3.3-intro.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.3/db-3.3-intro.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -1,12 +1,13 @@
 <sect2>
-<title>Introduction to db-3.3.11</title>
+<title>Introduction to db-&db-3.3-version;</title>
 
-<screen>Download location (HTTP):       <ulink url="&db-3.3.11-download-http;"/>
-Download location (FTP):        <ulink url="&db-3.3.11-download-ftp;"/>
-Version used:                   &db-3.3.11-version;
-Package size:                   &db-3.3.11-size;
-Estimated Disk space required:  &db-3.3.11-buildsize;</screen>
+<screen>Download location (HTTP):       <ulink url="&db-3.3-download-http;"/>
+Download location (FTP):        <ulink url="&db-3.3-download-ftp;"/>
+Version used:                   &db-3.3-version;
+Package size:                   &db-3.3-size;
+Estimated Disk space required:  &db-3.3-buildsize;</screen>
 
-<para>The db-3.3.11 package contains vers 3.3.11 of the Berkeley Database.</para>
+<para>The db-&db-3.3-version; package contains version &db-3.3-version; of 
+the Berkeley Database.</para>
 
 </sect2>
Index: content/databases/db-3.3/db-3.3.ent
===================================================================
--- content/databases/db-3.3/db-3.3.ent	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ content/databases/db-3.3/db-3.3.ent	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -1,11 +1,11 @@
-<!ENTITY db-3.3.11 SYSTEM "db-3.3.11.xml">
-<!ENTITY db-3.3.11-intro SYSTEM "db-3.3.11-intro.xml">
-<!ENTITY db-3.3.11-inst SYSTEM "db-3.3.11-inst.xml">
-<!ENTITY db-3.3.11-exp SYSTEM "db-3.3.11-exp.xml">
-<!ENTITY db-3.3.11-desc SYSTEM "db-3.3.11-desc.xml">
-<!ENTITY db-3.3.11-config SYSTEM "db-3.3.11-config.xml">
-<!ENTITY db-3.3.11-buildsize "19 MB">
-<!ENTITY db-3.3.11-version "3.3.11">
-<!ENTITY db-3.3.11-download-http "http://www.sleepycat.com/update/snapshot/db-3.3.11.tar.gz">
-<!ENTITY db-3.3.11-download-ftp "">
-<!ENTITY db-3.3.11-size "2.3 MB">
+<!ENTITY db-3.3 SYSTEM "../db-3.3.xml">
+<!ENTITY db-3.3-intro SYSTEM "db-3.3-intro.xml">
+<!ENTITY db-3.3-inst SYSTEM "db-3.3-inst.xml">
+<!ENTITY db-3.3-exp SYSTEM "db-3.3-exp.xml">
+<!ENTITY db-3.3-desc SYSTEM "db-3.3-desc.xml">
+<!ENTITY db-3.3-config SYSTEM "db-3.3-config.xml">
+<!ENTITY db-3.3-buildsize "19 MB">
+<!ENTITY db-3.3-version "3.3.11">
+<!ENTITY db-3.3-download-http "http://www.sleepycat.com/update/snapshot/db-3.3.11.tar.gz">
+<!ENTITY db-3.3-download-ftp "">
+<!ENTITY db-3.3-size "2.3 MB">
Index: gnome/lib/gconf/gconf1-intro.xml
===================================================================
--- gnome/lib/gconf/gconf1-intro.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ gnome/lib/gconf/gconf1-intro.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -13,5 +13,5 @@
 <xref linkend="oaf"/>, <xref linkend="GTK"/> and <xref linkend="gdk"/>
 GConf will utilize:
-<xref linkend="db-3.3.11"/> and <xref linkend="guile"></xref>.</screen>
+<xref linkend="db-3.3"/> and <xref linkend="guile"></xref>.</screen>
 
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ introduction/welcome/changelog.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -10,4 +10,8 @@
 
 <itemizedlist>
+
+<listitem><para>January 1st, 2003 [markh]: Gnome/Content: Move db-3.x to
+Content.  At the same time, change install for db-3.1 to /tmp/db-3.1; also
+adjust Evolution to use the same.</para></listitem>
 
 <listitem><para>January 1st, 2003 [bdubbs]: CUPS: Added boilerplate
Index: xsoft/office/evolution/evolution-exp.xml
===================================================================
--- xsoft/office/evolution/evolution-exp.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ xsoft/office/evolution/evolution-exp.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -5,9 +5,9 @@
 Install Evolution in the Gnome 1.4 area.</para>
 
-<para><userinput>--with-db3=/tmp:</userinput>
-db-3.1.17 must be installed prior to building Evolution, but should
+<para><userinput>--with-db3=/tmp/db-3.1:</userinput>
+db-&db-3.1-version; must be installed prior to building Evolution, but should
 not overwrite an existing installation of the Berkely Database.
-Installing db-3.1.17 in a temporary directory is all that is needed
-for Evolution to link to the static db-3.1.17 libraries.</para>
+Installing db-&db-3.1-version; in a temporary directory is all that is needed
+for Evolution to link to the static db-&db-3.1-version; libraries.</para>
 
 </sect2>
Index: xsoft/office/evolution/evolution-inst.xml
===================================================================
--- xsoft/office/evolution/evolution-inst.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ xsoft/office/evolution/evolution-inst.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -4,8 +4,8 @@
 <para>Install evolution by running the following commands:</para>
 
-<note><para><xref linkend="db-3.1.17"></xref> must be installed
+<note><para><xref linkend="db-3.1"></xref> must be installed
 temporarily in order to install Evolution.</para></note>
 <para><screen><userinput>
-./configure --prefix=/opt/gnome --with-db3=/tmp &amp;&amp;
+./configure --prefix=/opt/gnome --with-db3=/tmp/db-3.1 &amp;&amp;
 make &amp;&amp;
 make install
Index: xsoft/office/evolution/evolution-intro.xml
===================================================================
--- xsoft/office/evolution/evolution-intro.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ xsoft/office/evolution/evolution-intro.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -12,5 +12,5 @@
 
 <screen>evolution depends on:
-<xref linkend="db-3.1.17"></xref>
+<xref linkend="db-3.1"></xref>
 <xref linkend="bonobo14"></xref>
 <xref linkend="bonobo-conf"></xref>
Index: xsoft/office/gnucash/gnucash-intro.xml
===================================================================
--- xsoft/office/gnucash/gnucash-intro.xml	(revision 556a7ea73cfd2fd811ab4fd1e4dc44e9fea654de)
+++ xsoft/office/gnucash/gnucash-intro.xml	(revision 003591b32758596eded0b7ed94d24dd4d7a4ec2e)
@@ -13,5 +13,5 @@
 <xref linkend="gnome-print"></xref>
 <xref linkend="libglade14"></xref>
-<xref linkend="db-3.3.11"></xref>
+<xref linkend="db-3.3"></xref>
 <xref linkend="gal"></xref>
 <xref linkend="libcapplet"></xref>