Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision b1fb2a9b4c2e7e70988a768423d7af3402c653ea)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 3609a85de828665557ffcd021403c34480e39f1b)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-settings-daemon-download-http
-           "&gnome-download-http;/gnome-settings-daemon/&gnome-minor-34;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
+           "&gnome-download-http;/gnome-settings-daemon/&gnome-minor-36;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
   <!ENTITY gnome-settings-daemon-download-ftp
-           "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-34;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
-  <!ENTITY gnome-settings-daemon-md5sum        "493332fa0f36645188468fed41c0060b">
+           "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-36;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
+  <!ENTITY gnome-settings-daemon-md5sum        "e28f11174ca0bafc56fb7a766591d786">
   <!ENTITY gnome-settings-daemon-size          "1.3 MB">
-  <!ENTITY gnome-settings-daemon-buildsize     "29 MB">
+  <!ENTITY gnome-settings-daemon-buildsize     "77 MB">
   <!ENTITY gnome-settings-daemon-time          "0.1 SBU (Using parallelism=4)">
 ]>
@@ -121,7 +121,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="python-dbusmock"/> and
-      <ulink url="https://github.com/martinpitt/umockdev">umockdev</ulink>
-      (required for the tests)
+      <xref linkend="mutter"/>,
+      <xref linkend="python-dbusmock"/>, and
+      <xref linkend="umockdev"/>
     </para>
 
Index: gnome/platform/notification-daemon.xml
===================================================================
--- gnome/platform/notification-daemon.xml	(revision b1fb2a9b4c2e7e70988a768423d7af3402c653ea)
+++ 	(revision )
@@ -1,149 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY notification-daemon-download-http
-           "&gnome-download-http;/notification-daemon/&gnome-minor-20;/notification-daemon-&notification-daemon-version;.tar.xz">
-  <!ENTITY notification-daemon-download-ftp
-           "&gnome-download-ftp;/notification-daemon/&gnome-minor-20;/notification-daemon-&notification-daemon-version;.tar.xz">
-  <!ENTITY notification-daemon-md5sum        "2de7f4075352831f1d98d8851b642124">
-  <!ENTITY notification-daemon-size          "336 KB">
-  <!ENTITY notification-daemon-buildsize     "4.1 MB">
-  <!ENTITY notification-daemon-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="notification-daemon" xreflabel="notification-daemon-&notification-daemon-version;">
-  <?dbhtml filename="notification-daemon.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>notification-daemon-&notification-daemon-version;</title>
-
-  <indexterm zone="notification-daemon">
-    <primary sortas="a-notification-daemon">notification-daemon</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Notification Daemon</title>
-
-    <para>
-      The <application>Notification Daemon</application> package contains a daemon
-      that displays passive pop-up notifications.
-    </para>
-
-    &lfs91_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&notification-daemon-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&notification-daemon-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &notification-daemon-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &notification-daemon-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &notification-daemon-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &notification-daemon-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Notification Daemon Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="gtk3"/> and
-      <xref linkend="libcanberra"/> (Built with <xref linkend="gtk3"/> support).
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/notification-daemon"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Notification Daemon</title>
-
-    <para>
-      Install <application>Notification Daemon</application> by running
-      the following commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr     \
-            --sysconfdir=/etc \
-            --disable-static  &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a testsuite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-    <para>
-      You can test the notification daemon with the command
-      <command>notify-send</command>:
-    </para>
-
-<screen><userinput>pgrep -l notification-da &amp;&amp;
-notify-send -i info Information "Hi ${USER}, This is a Test"</userinput></screen>
-    <para>
-      The command <command>pgrep -l notification-da</command> is added to assure
-      that it is the daemon of this package that is running, not another one,
-      e.g. the daemon from <xref linkend="xfce4-notifyd"/>.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          none
-        </seg>
-        <seg>
-          none
-        </seg>
-        <seg>
-          none
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-  </sect2>
-
-</sect1>
Index: gnome/platform/platform.xml
===================================================================
--- gnome/platform/platform.xml	(revision b1fb2a9b4c2e7e70988a768423d7af3402c653ea)
+++ gnome/platform/platform.xml	(revision 3609a85de828665557ffcd021403c34480e39f1b)
@@ -74,6 +74,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-user-docs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="yelp.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="notification-daemon.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="polkit-gnome.xml"/>
+  <!-- notification-daemon moved to System Utilities. -->
+  <!-- polkit-gnome moved to Security. -->
 
 </chapter>
Index: gnome/platform/polkit-gnome.xml
===================================================================
--- gnome/platform/polkit-gnome.xml	(revision b1fb2a9b4c2e7e70988a768423d7af3402c653ea)
+++ 	(revision )
@@ -1,194 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY polkit-gnome-download-http
-           "&gnome-download-http;/polkit-gnome/&polkit-gnome-version;/polkit-gnome-&polkit-gnome-version;.tar.xz">
-  <!ENTITY polkit-gnome-download-ftp
-           "&gnome-download-ftp;/polkit-gnome/&polkit-gnome-version;/polkit-gnome-&polkit-gnome-version;.tar.xz">
-  <!ENTITY polkit-gnome-md5sum        "50ecad37c8342fb4a52f590db7530621">
-  <!ENTITY polkit-gnome-size          "305 KB">
-  <!ENTITY polkit-gnome-buildsize     "5.0 MB">
-  <!ENTITY polkit-gnome-time          "0.1 SBU">
-]>
-
-<sect1 id="polkit-gnome" xreflabel="polkit-gnome-&polkit-gnome-version;">
-  <?dbhtml filename="polkit-gnome.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>polkit-gnome-&polkit-gnome-version;</title>
-
-  <indexterm zone="polkit-gnome">
-    <primary sortas="a-polkit-gnome">polkit-gnome</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Polkit GNOME</title>
-
-    <para>
-      The <application>Polkit GNOME</application> package provides an
-      Authentication Agent for <application>Polkit</application> that integrates
-      well with the <application>GNOME</application> Desktop environment.
-    </para>
-
-    &lfs91_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&polkit-gnome-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&polkit-gnome-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &polkit-gnome-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &polkit-gnome-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &polkit-gnome-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &polkit-gnome-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Polkit GNOME Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="gtk3"/> and
-      <xref linkend="polkit"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/polkit-gnome"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Polkit GNOME</title>
-
-    <para>
-      Install <application>Polkit GNOME</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="configuration">
-    <title>Configuring Polkit GNOME</title>
-
-    <sect3>
-
-      <title>Automatic Startup</title>
-
-      <para>
-        For the authentification framework to work,
-        <command>polkit-gnome-authentification-agent-1</command> needs to be
-        started. However, <command>make install</command> did not
-        install a startup file for the <application>Polkit GNOME</application>
-        so you have to create it by yourself.
-      </para>
-
-      <para>
-        Issue the following commands as the
-        <systemitem class="username">root</systemitem> user to create
-        a startup file for <application>Polkit GNOME</application>:
-     </para>
-
-<screen role="root"><userinput>mkdir -p /etc/xdg/autostart &amp;&amp;
-cat &gt; /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop &lt;&lt; "EOF"
-<literal>[Desktop Entry]
-Name=PolicyKit Authentication Agent
-Comment=PolicyKit Authentication Agent
-Exec=/usr/libexec/polkit-gnome-authentication-agent-1
-Terminal=false
-Type=Application
-Categories=
-NoDisplay=true
-OnlyShowIn=GNOME;XFCE;Unity;
-AutostartCondition=GNOME3 unless-session gnome</literal>
-EOF</userinput></screen>
-
-    </sect3>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          polkit-gnome-authentication-agent-1
-        </seg>
-        <seg>
-          None
-        </seg>
-        <seg>
-          None
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="polkit-gnome-authentication-agent-1">
-        <term><command>polkit-gnome-authentication-agent-1</command></term>
-        <listitem>
-          <para>
-            is the <application>Polkit</application> authentication agent.
-          </para>
-          <indexterm zone="polkit-gnome polkit-gnome-authentication-agent-1">
-            <primary
-            sortas="b-polkit-gnome-authentication-agent-1">polkit-gnome-authentication-agent-1</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>