Index: gnome.ent
===================================================================
--- gnome.ent	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ gnome.ent	(revision 3615df735983088688608a7ca09578875311542b)
@@ -56,5 +56,5 @@
 <!ENTITY gnome-bluetooth-version           "3.34.0">
 <!ENTITY gnome-keyring-version             "3.34.0">
-<!ENTITY gnome-settings-daemon-version     "3.34.1">
+<!ENTITY gnome-settings-daemon-version     "3.34.2">
 <!ENTITY gnome-control-center-version      "3.34.2">
 <!ENTITY mutter-version                    "3.34.1">
@@ -75,7 +75,7 @@
 <!ENTITY cheese-version                    "3.34.0">
 <!ENTITY eog-version                       "3.34.1">
-<!ENTITY evince-version                    "3.34.1">
-<!ENTITY evolution-version                 "3.34.1">
-<!ENTITY file-roller-version               "3.32.2">
+<!ENTITY evince-version                    "3.34.2">
+<!ENTITY evolution-version                 "3.34.2">
+<!ENTITY file-roller-version               "3.32.3">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
 <!ENTITY gnome-calculator-version          "3.34.1">
@@ -83,5 +83,5 @@
 <!ENTITY gnome-disk-utility-version        "3.34.0">
 <!ENTITY gnome-logs-version                "3.34.0">
-<!ENTITY gnome-maps-version                "3.34.1">
+<!ENTITY gnome-maps-version                "3.34.2">
 <!ENTITY gnome-nettool-version             "3.8.1">
 <!ENTITY gnome-power-manager-version       "3.32.0">
Index: gnome/applications/evince.xml
===================================================================
--- gnome/applications/evince.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ gnome/applications/evince.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -9,8 +9,8 @@
   <!ENTITY evince-download-ftp
      "&gnome-download-ftp;/evince/&gnome-minor-34;/evince-&evince-version;.tar.xz">
-  <!ENTITY evince-md5sum        "77b38b625008f5940e9bd4b3d38e8cf8">
+  <!ENTITY evince-md5sum        "9e9e82fa8f6045ad7817157d9335d185">
   <!ENTITY evince-size          "2.4 MB">
   <!ENTITY evince-buildsize     "71 MB">
-  <!ENTITY evince-time          "0.5 SBU (Using parallelism=4)">
+  <!ENTITY evince-time          "0.4 SBU (Using parallelism=4)">
 ]>
 
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ gnome/applications/evolution.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -7,8 +7,8 @@
   <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-34;/evolution-&evolution-version;.tar.xz">
   <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-34;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "5f7b87e5db8d2ae971f4d62355272a44">
+  <!ENTITY evolution-md5sum        "d7d820a125688d5b1712d04a6ddc4b07">
   <!ENTITY evolution-size          "11 MB">
   <!ENTITY evolution-buildsize     "253 MB">
-  <!ENTITY evolution-time          "1.1 SBU (Using parallelism=4)">
+  <!ENTITY evolution-time          "1.2 SBU (Using parallelism=4)">
 ]>
 
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ gnome/applications/file-roller.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -9,6 +9,6 @@
   <!ENTITY file-roller-download-ftp
            "&gnome-download-ftp;/file-roller/&gnome-minor-32;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "e79715bb2400df83c0f67cc0cce2b655">
-  <!ENTITY file-roller-size          "832 KB">
+  <!ENTITY file-roller-md5sum        "5e098bb254d34f48a9b5761b468f4240">
+  <!ENTITY file-roller-size          "836 KB">
   <!ENTITY file-roller-buildsize     "18 MB">
   <!ENTITY file-roller-time          "0.1 SBU (Using parallelism=4)">
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ gnome/applications/gnome-maps.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-maps-download-ftp
            "&gnome-download-ftp;/gnome-maps/&gnome-minor-34;/gnome-maps-&gnome-maps-version;.tar.xz">
-  <!ENTITY gnome-maps-md5sum        "dc6cdfbb6fa7a8bfea266f058ab11df0">
+  <!ENTITY gnome-maps-md5sum        "b58cea1562ee774e300b49572a3c22ab">
   <!ENTITY gnome-maps-size          "3.8 MB">
   <!ENTITY gnome-maps-buildsize     "12 MB">
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-settings-daemon-download-ftp
            "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-34;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
-  <!ENTITY gnome-settings-daemon-md5sum        "cdd0d0c8664056deb78aa40c88ec24d1">
+  <!ENTITY gnome-settings-daemon-md5sum        "493332fa0f36645188468fed41c0060b">
   <!ENTITY gnome-settings-daemon-size          "1.3 MB">
-  <!ENTITY gnome-settings-daemon-buildsize     "73 MB">
-  <!ENTITY gnome-settings-daemon-time          "0.2 SBU">
+  <!ENTITY gnome-settings-daemon-buildsize     "29 MB">
+  <!ENTITY gnome-settings-daemon-time          "0.1 SBU (Using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ introduction/welcome/changelog.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -45,4 +45,36 @@
       <para>December 29th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to file-roller-3.32.3. Fixes
+          <ulink url="&blfs-ticket-root;12810">#12810</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to evince-3.34.2. Fixes
+          <ulink url="&blfs-ticket-root;12809">#12809</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-maps-3.34.2. Fixes
+          <ulink url="&blfs-ticket-root;12807">#12807</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to epiphany-3.34.2. Fixes
+          <ulink url="&blfs-ticket-root;12804">#12804</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to evolution-3.34.2. Fixes
+          <ulink url="&blfs-ticket-root;12802">#12802</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gedit-3.34.1. Fixes
+          <ulink url="&blfs-ticket-root;12794">#12794</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-settings-daemon-3.34.2. Fixes
+          <ulink url="&blfs-ticket-root;12923">#12923</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libsoup-2.68.3. Fixes
+          <ulink url="&blfs-ticket-root;12868">#12868</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update to mutt-1.13.2. Fixes
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ networking/netlibs/libsoup.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -9,8 +9,8 @@
   <!ENTITY libsoup-download-ftp
            "&gnome-download-ftp;/libsoup/2.68/libsoup-&libsoup-version;.tar.xz">
-  <!ENTITY libsoup-md5sum        "8e3430458be72547d890d0bf914dd125">
+  <!ENTITY libsoup-md5sum        "29ee2ee7017945b64ede063b1396011c">
   <!ENTITY libsoup-size          "1.4 MB">
-  <!ENTITY libsoup-buildsize     "25 MB (with tests)"> 
-  <!ENTITY libsoup-time          "0.4 SBU (with tests)">
+  <!ENTITY libsoup-buildsize     "19 MB (with tests)"> 
+  <!ENTITY libsoup-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ packages.ent	(revision 3615df735983088688608a7ca09578875311542b)
@@ -63,5 +63,5 @@
 <!ENTITY ed-version                   "1.15">
 <!ENTITY emacs-version                "26.3">
-<!ENTITY gedit-version                "3.34.0">
+<!ENTITY gedit-version                "3.34.1">
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
@@ -597,5 +597,5 @@
 <!ENTITY libndp-version               "1.7">
 <!ENTITY libproxy-version             "0.4.7">
-<!ENTITY libsoup-version              "2.68.2">
+<!ENTITY libsoup-version              "2.68.3">
 <!ENTITY libtirpc-version             "1.2.5">
 <!ENTITY neon-version                 "0.30.2">
@@ -876,5 +876,5 @@
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "3.34.1">
+<!ENTITY epiphany-version             "3.34.2">
 <!ENTITY falkon-major-version         "3.1">
 <!ENTITY falkon-minor-version         "0">
Index: postlfs/editors/gedit.xml
===================================================================
--- postlfs/editors/gedit.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ postlfs/editors/gedit.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -7,5 +7,5 @@
   <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-34;/gedit-&gedit-version;.tar.xz">
   <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-34;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-md5sum        "ec6632fa73d9ea6c817e74a98d16eab6">
+  <!ENTITY gedit-md5sum        "4bca1d0a13db186cd84619b4bff42238">
   <!ENTITY gedit-size          "14 MB">
   <!ENTITY gedit-buildsize     "70 MB (with tests)">
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision d7c73e5649978e6cd768c3614b874d7b8b7be288)
+++ xsoft/graphweb/epiphany.xml	(revision 3615df735983088688608a7ca09578875311542b)
@@ -9,6 +9,6 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-34;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "50b50e18d99b19f44cc9cd419c6a4ba8">
-  <!ENTITY epiphany-size          "5.0 MB">
+  <!ENTITY epiphany-md5sum        "ae404e3a70ff904f5a23466727f8a90a">
+  <!ENTITY epiphany-size          "5.1 MB">
   <!ENTITY epiphany-buildsize     "67 MB"> 
   <!ENTITY epiphany-time          "0.3 SBU (Using parallelism=4)"> 