Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ introduction/welcome/changelog.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -43,4 +43,34 @@
     -->
     <listitem>
+      <para>September 23rd, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to sudo-1.9.8p2. Fixes
+          <ulink url="&blfs-ticket-root;15591">#15591</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xterm-369. Fixes
+          <ulink url="&blfs-ticket-root;15586">#15586</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-21.2.2. Fixes
+          <ulink url="&blfs-ticket-root;15585">#15585</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nghttp2-1.45.1. Fixes
+          <ulink url="&blfs-ticket-root;15583">#15583</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to neon-0.32.1. Fixes
+          <ulink url="&blfs-ticket-root;15582">#15582</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to btrfs-progs-v5.14.1. Fixes
+          <ulink url="&blfs-ticket-root;15580">#15580</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 22nd, 2021</para>
       <itemizedlist>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ networking/netlibs/neon.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -8,8 +8,8 @@
   <!ENTITY neon-download-http "https://notroj.github.io/neon/neon-&neon-version;.tar.gz">
   <!ENTITY neon-download-ftp  " ">
-  <!ENTITY neon-md5sum        "c871268f0ba365b71f1ec1bf068d6ab3">
-  <!ENTITY neon-size          "848 KB">
-  <!ENTITY neon-buildsize     "8.4 MB (additional 19 MB for the tests)">
-  <!ENTITY neon-time          "0.1 SBU (additional 0.3 SBU for the tests)">
+  <!ENTITY neon-md5sum        "aa20818503e427ba1f4aa50c084a88c4">
+  <!ENTITY neon-size          "860 KB">
+  <!ENTITY neon-buildsize     "6.6 MB (additional 20 MB for the tests)">
+  <!ENTITY neon-time          "0.1 SBU (additional 0.5 SBU for the tests)">
 ]>
 
Index: networking/netlibs/nghttp2.xml
===================================================================
--- networking/netlibs/nghttp2.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ networking/netlibs/nghttp2.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -7,5 +7,5 @@
   <!ENTITY nghttp2-download-http "https://github.com/nghttp2/nghttp2/releases/download/v&nghttp2-version;/nghttp2-&nghttp2-version;.tar.xz">
   <!ENTITY nghttp2-download-ftp  " ">
-  <!ENTITY nghttp2-md5sum        "d9702786d89ec8053a96ab4768a172e4">
+  <!ENTITY nghttp2-md5sum        "35ef164abc0f1cac10c275d8496370e4">
   <!ENTITY nghttp2-size          "3.8 MB">
   <!ENTITY nghttp2-buildsize     "21 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ packages.ent	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -38,10 +38,10 @@
 <!ENTITY ssh-askpass-version          "&openssh-version;">
 <!ENTITY stunnel-version              "5.60">
-<!ENTITY sudo-version                 "1.9.8p1">
+<!ENTITY sudo-version                 "1.9.8p2">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.14">
+<!ENTITY btrfs-progs-version          "5.14.1">
 <!ENTITY dosfstools-version           "4.2">
 <!ENTITY fuse3-version                "3.10.5">
@@ -643,6 +643,6 @@
 <!ENTITY libsoup-version              "2.74.0">
 <!ENTITY libtirpc-version             "1.3.2">
-<!ENTITY neon-version                 "0.31.2">
-<!ENTITY nghttp2-version              "1.44.0">
+<!ENTITY neon-version                 "0.32.1">
+<!ENTITY nghttp2-version              "1.45.1">
 <!ENTITY rpcsvc-proto-version         "1.4.2">
 <!ENTITY serf-version                 "1.3.9">
@@ -707,5 +707,5 @@
 <!ENTITY xkeyboard-config-version     "2.33">
 <!ENTITY mesa-major-minor             "21.2">
-<!ENTITY mesa-version                 "&mesa-major-minor;.1">
+<!ENTITY mesa-version                 "&mesa-major-minor;.2">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
@@ -716,5 +716,5 @@
 <!ENTITY xorg-server-version          "1.20.13">
 <!ENTITY twm-version                  "1.0.11">
-<!ENTITY xterm-version                "368">
+<!ENTITY xterm-version                "369">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -7,5 +7,5 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "84b83d0ecc2efb8fff0490af9684fcc3">
+  <!ENTITY btrfs-progs-md5sum        "75663d73a818e355ec26804ea6c8741e">
   <!ENTITY btrfs-progs-size          "2.1 MB">
   <!ENTITY btrfs-progs-buildsize     "54 MB (up to 2.7 GB are used during tests)">
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ postlfs/security/sudo.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -7,5 +7,5 @@
   <!ENTITY sudo-download-http "https://www.sudo.ws/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.sudo.ws/pub/sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "ae9c8b32268f27d05bcdcb8f0c04d461">
+  <!ENTITY sudo-md5sum        "f831c1d62835cde89c261465d9c781e4">
   <!ENTITY sudo-size          "4.1 MB">
   <!ENTITY sudo-buildsize     "45 MB (add 14 MB for tests)">
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ x/installing/mesa.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -7,9 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "f81336168864b1f890edfa5db8587f2b">
+  <!ENTITY mesa-md5sum        "25f4b3a8e92d20e2fc6231e253fce1ee">
   <!ENTITY mesa-size          "15 MB">
-  <!ENTITY mesa-buildsize     "799 MB (with docs, add 376 MB if running the tests)">
-                              <!-- using NINJAJOBS=6 -->
-  <!ENTITY mesa-time          "5.1 SBU (on a 4-core machine with docs)">
+  <!ENTITY mesa-buildsize     "562 MB (with docs, add 376 MB if running the tests)">
+  <!ENTITY mesa-time          "3.5 SBU (Using parallelism=4; with docs)">
 ]>
 
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 86ba5b667a462aed4aa6e3a78a974dad3d82029d)
+++ x/installing/xterm.xml	(revision 3619a7bbb1fb8acb98bcd0337423fd677fe20392)
@@ -8,7 +8,7 @@
   <!--<!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">-->
   <!ENTITY xterm-download-ftp  " ">
-  <!ENTITY xterm-md5sum        "3a4126006085ff22f4c73f716a9a03a7">
+  <!ENTITY xterm-md5sum        "ca127bfaabda670e3ac09e5bc09473cc">
   <!ENTITY xterm-size          "1.4 MB">
-  <!ENTITY xterm-buildsize     "17 MB">
+  <!ENTITY xterm-buildsize     "14 MB">
   <!ENTITY xterm-time          "0.2 SBU">
 ]>