Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ general/sysutils/udisks2.xml	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -7,7 +7,7 @@
   <!ENTITY udisks2-download-http "https://github.com/storaged-project/udisks/releases/download/udisks-&udisks2-version;/udisks-&udisks2-version;.tar.bz2">
   <!ENTITY udisks2-download-ftp  " ">
-  <!ENTITY udisks2-md5sum        "63e18a47069000cb31d5f98cc3c83be0">
-  <!ENTITY udisks2-size          "1.7 MB">
-  <!ENTITY udisks2-buildsize     "38 MB (with tests)">
+  <!ENTITY udisks2-md5sum        "576e057d2654894fab58f0393d105b7b">
+  <!ENTITY udisks2-size          "1.6 MB">
+  <!ENTITY udisks2-buildsize     "52 MB (with tests)">
   <!ENTITY udisks2-time          "0.3 SBU (with tests)">
 ]>
@@ -189,5 +189,5 @@
           /usr/libexec/udisks2,
           /usr/share/gtk-doc/html/udisks2, and
-          /var/{lib,run}/udisks2
+          /var/lib/udisks2
         </seg>
       </seglistitem>
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ general/sysutils/upower.xml	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY upower-download-http "https://gitlab.freedesktop.org/upower/upower/-/archive/UPOWER_&upower-version;/upower-UPOWER_&upower-version;.tar.bz2">
+  <!ENTITY upower-download-http "https://gitlab.freedesktop.org/upower/upower/uploads/177df5b9f9b76f25a2ad9da41aa0c1fa/upower-&upower-version;.tar.xz">
   <!ENTITY upower-download-ftp  " ">
-  <!ENTITY upower-md5sum        "d58b028211aee6050c26c99b777ba60f">
-  <!ENTITY upower-size          "144 KB">
-  <!ENTITY upower-buildsize     "14 MB">
-  <!ENTITY upower-time          "0.1 SBU (using parallelism=4)">
+  <!ENTITY upower-md5sum        "0c945817c12a7967d2c5edf7138fcf80">
+  <!ENTITY upower-size          "438 KB">
+  <!ENTITY upower-buildsize     "15 MB (with tests)">
+  <!ENTITY upower-time          "0.1 SBU (using parallelism=4, add 0.8 SBU for tests)">
 ]>
 
@@ -128,5 +128,5 @@
     </para>
 
-<screen><userinput>./autogen.sh --prefix=/usr        \
+<screen><userinput>./configure --prefix=/usr         \
              --sysconfdir=/etc    \
              --localstatedir=/var \
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ introduction/welcome/changelog.xml	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -43,4 +43,31 @@
     -->
     <listitem>
+      <para>October 22nd, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Change the download location for upower, so that
+          it is not needed to run autogen.sh. Fixes
+          <ulink url="&blfs-ticket-root;15675">#15675</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to udisks2-2.9.4. Fixes
+          <ulink url="&blfs-ticket-root;15628">#15628</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to mesa-21.2.4. Fixes
+          <ulink url="&blfs-ticket-root;15627">#15627</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to libvpx-1.11.0. Fixes
+          <ulink url="&blfs-ticket-root;15625">#15625</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to exim-4.95. Fixes
+          <ulink url="&blfs-ticket-root;15624">#15624</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 21st, 2021</para>
       <itemizedlist>
Index: multimedia/libdriv/libvpx.xml
===================================================================
--- multimedia/libdriv/libvpx.xml	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ multimedia/libdriv/libvpx.xml	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -7,8 +7,8 @@
   <!ENTITY libvpx-download-http "https://github.com/webmproject/libvpx/archive/v&libvpx-version;/libvpx-&libvpx-version;.tar.gz">
   <!ENTITY libvpx-download-ftp  " ">
-  <!ENTITY libvpx-md5sum        "cded283be38dc0078c3fbe751722efc5">
+  <!ENTITY libvpx-md5sum        "82e5e527336b41281a582204db1f3457">
   <!ENTITY libvpx-size          "5.1 MB">
   <!ENTITY libvpx-buildsize     "64 MB (add 1.3GB if running tests)">
-  <!ENTITY libvpx-time          "1.5 SBU, add 41 SBU if running tests, including download time">
+  <!ENTITY libvpx-time          "1.6 SBU, add 44 SBU if running tests, including download time">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ packages.ent	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -315,8 +315,8 @@
 <!--<!ENTITY systemd-stable               "6b4878d"> Unused for now -->
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.9.3">    <!-- stable lt .90 micro version -->
+<!ENTITY udisks2-version              "2.9.4">    <!-- stable lt .90 micro version -->
 <!ENTITY unrar-version                "6.0.7">
 <!ENTITY unzip-version                "6.0">
-<!ENTITY upower-version               "0_99_13">
+<!ENTITY upower-version               "0.99.13">
 <!ENTITY usbutils-version             "014">
 <!ENTITY weston-version               "1.12.0">
@@ -675,5 +675,5 @@
 <!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
 
-<!ENTITY exim-version                 "4.94.2">
+<!ENTITY exim-version                 "4.95">
 <!ENTITY postfix-version              "3.6.2">
 <!ENTITY sendmail-version             "8.17.1">
@@ -707,5 +707,5 @@
 <!ENTITY xkeyboard-config-version     "2.33">
 <!ENTITY mesa-major-minor             "21.2">
-<!ENTITY mesa-version                 "&mesa-major-minor;.2">
+<!ENTITY mesa-version                 "&mesa-major-minor;.4">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
@@ -1014,5 +1014,5 @@
 <!ENTITY libtheora-version            "1.1.1">
 <!ENTITY libvorbis-version            "1.3.7">
-<!ENTITY libvpx-version               "1.10.0">
+<!ENTITY libvpx-version               "1.11.0">
 <!ENTITY mlt-version                  "7.0.1">
 <!ENTITY opal-version                 "3.10.10">
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ server/mail/exim.xml	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -10,8 +10,8 @@
   <!-- if above don't work, please use one of the official mirrors at
        http://www.exim.org/mirmon/ftp_mirrors.html -->
-  <!ENTITY exim-md5sum          "4fbf1ebb36f0f43bb94ed0848eb13256">
+  <!ENTITY exim-md5sum          "b57515d34e97b0be12f7d38d316b15eb">
   <!ENTITY exim-size            "1.8 MB">
-  <!ENTITY exim-buildsize       "16 MB">
-  <!ENTITY exim-time            "0.2 SBU">
+  <!ENTITY exim-buildsize       "20 MB">
+  <!ENTITY exim-time            "0.3 SBU">
 
   <!ENTITY exim-daemon-version  "&exim-version;-2">
@@ -277,6 +277,6 @@
 
     <para>
-      To use a backend database other than <application>Berkeley
-      DB</application>, see the instructions at <ulink url=
+      To use a backend database other than <application>GDBM
+      </application>, see the instructions at <ulink url=
       "http://exim.org/exim-html-&exim-version;/doc/html/spec_html/ch04.html#SECTdb"/>.
     </para>
@@ -327,5 +327,5 @@
       <filename class='directory'>/var/spool/exim/log</filename> directory. See
       the information at <ulink url=
-      "http://exim.org/exim-html-&exim-version;/doc/html/spec_html/ch52.html"/>.
+      "http://exim.org/exim-html-&exim-version;/doc/html/spec_html/chlog_files.html"/>.
     </para>
 
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 5fcebb86867a97555069a76eb626b9ebc19590da)
+++ x/installing/mesa.xml	(revision 3713bc71c8799deddf404003ad32bde2df32fd03)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "25f4b3a8e92d20e2fc6231e253fce1ee">
+  <!ENTITY mesa-md5sum        "68cc97f99ed38e9fbae026ca825c9703">
   <!ENTITY mesa-size          "15 MB">
-  <!ENTITY mesa-buildsize     "562 MB (with docs, add 376 MB if running the tests)">
-  <!ENTITY mesa-time          "3.5 SBU (Using parallelism=4; with docs)">
+  <!ENTITY mesa-buildsize     "722 MB (with docs, add 373 MB if running the tests)">
+  <!ENTITY mesa-time          "3.2 SBU (Using parallelism=4; with docs and tests)">
 ]>
 
@@ -260,6 +260,7 @@
       If you built the tests (see 'Command Explanations'), to run them issue:
       <command>ninja test</command>.
+<!-- All tests passed for me for 21.2.4 [pierre]
       All 33 subtests tests in the mesa:compiler+glsl / glsl compiler warnings
-      suite are known to fail.
+      suite are known to fail.-->
     </para>
 
@@ -276,5 +277,6 @@
     </para>
 
-<screen role="root"><userinput>install -v -dm755 /usr/share/doc/mesa-&mesa-version; &amp;&amp;
+<screen role="root"
+        remap="doc"><userinput>install -v -dm755 /usr/share/doc/mesa-&mesa-version; &amp;&amp;
 cp -rfv ../docs/* /usr/share/doc/mesa-&mesa-version;</userinput></screen>
 
@@ -351,4 +353,12 @@
       <option>-Dbuild-tests=true</option>: This option will cause the test code
       to be enabled. To run the tests, issue: <command>ninja test</command>.
+    </para>
+
+    <para>
+      <option>-Dvulkan-drivers=...</option>: This option allows choosing which
+      Vulkan drivers are built. Since those drivers depend on the
+      corresponding Gallium3D drivers, do not enable drivers that are not
+      enabled in Gallium3D drivers. Furthermore, since BLFS does not use
+      Vulkan, it is safe to leave the list of Vulkan drivers empty.
     </para>
 
@@ -386,5 +396,5 @@
         </seg>
         <seg>
-          <!-- Begini gallium DRI drivers : this is the full set -->
+          <!-- Begin gallium DRI drivers : this is the full set -->
           d3dadapter9.so (optional), <!-- For Windows games. This is DirectX's
                                           Direct3D -->
@@ -418,5 +428,5 @@
         </seg>
         <seg>
-          $XORG_PREFIX/{include/{EGL,GL,GLES,GLES2,GLES3,KHR,vulkan},lib/{dri,vdpau}},
+          $XORG_PREFIX/{include/{EGL,GL,GLES,GLES2,GLES3,KHR},lib/{dri,vdpau}},
           $XORG_PREFIX/include/d3adapter (optional),
           $XORG_PREFIX/lib/d3d (optional),