Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision ce1d4c88ef877fc14614c2377ac4cde8c8fcc120)
+++ general/genlib/genlib.xml	(revision 03735e975f5b77c124d26dbd0344984a81d22926)
@@ -7,59 +7,60 @@
 
 <chapter id="general-genlib">
-<?dbhtml filename="genlib.html"?>
-<title>General Libraries</title>
-
-<para>Libraries contain code which is often required by more than
-one program.  This has the advantage that each program doesn't need to
-duplicate code (and risk introducing bugs), it just has to call
-functions from the libraries installed on the system.  The most obvious
-example of a set of libraries is <application>Glibc</application> which is 
-installed during the <acronym>LFS</acronym> book.  This contains all of
-the <application>C</application> library functions which programs use.</para>
-
-<para>There are two types of libraries: static and shared.  Shared libraries 
-(usually <filename>libXXX.so</filename>) are loaded into memory from the shared
-copy at runtime (hence the name).  Static libraries (<filename>libXXX.a
-</filename>) are actually linked into the program executable file itself, thus 
-making the program file larger.  Quite often, you will find both static and 
-shared copies of the same library on your system.</para>
-
-<para>Generally, you only need to install libraries when you are
-installing software that needs the functionality they supply.  In
-the <acronym>BLFS</acronym> book, each package is presented with a list of 
-(known) dependencies.  Thus, you can figure out which libraries you need to 
-have before installing that program.  If you are installing something without 
-using <acronym>BLFS</acronym> instructions, usually the 
-<filename>README</filename> or <filename>INSTALL</filename> file will contain 
-details of the program's requirements.</para>
-
-<para>There are certain libraries which nearly <emphasis>everyone</emphasis> 
-will need at some point.  In this chapter we list these and some others and 
-explain why you may want to install them.</para>
-
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pcre.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="popt.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="slang.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="fam.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxml.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxml2.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxslt.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gmp.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gdbm.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="glib.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="glib2.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libidl.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libcroco.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgsf.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libglade.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="expat.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libesmtp.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aspell.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ispell.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="slib.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gwrap.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="lzo.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libpcap.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libusb.xml"/>
+  <?dbhtml filename="genlib.html"?>
+  
+  <title>General Libraries</title>
+  
+  <para>Libraries contain code which is often required by more than
+  one program.  This has the advantage that each program doesn't need to
+  duplicate code (and risk introducing bugs), it just has to call
+  functions from the libraries installed on the system.  The most obvious
+  example of a set of libraries is <application>Glibc</application> which is 
+  installed during the LFS book.  This contains all of the 
+  <application>C</application> library functions which programs use.</para>
+  
+  <para>There are two types of libraries: static and shared.  Shared libraries 
+  (usually <filename>libXXX.so</filename>) are loaded into memory from the shared
+  copy at runtime (hence the name).  Static libraries (<filename>libXXX.a
+  </filename>) are actually linked into the program executable file itself, thus 
+  making the program file larger.  Quite often, you will find both static and 
+  shared copies of the same library on your system.</para>
+  
+  <para>Generally, you only need to install libraries when you are
+  installing software that needs the functionality they supply.  In
+  the BLFS book, each package is presented with a list of 
+  (known) dependencies.  Thus, you can figure out which libraries you need to 
+  have before installing that program.  If you are installing something without 
+  using BLFS instructions, usually the <filename>README</filename> or 
+  <filename>INSTALL</filename> file will contain 
+  details of the program's requirements.</para>
+  
+  <para>There are certain libraries which nearly <emphasis>everyone</emphasis> 
+  will need at some point.  In this chapter we list these and some others and 
+  explain why you may want to install them.</para>
+  
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pcre.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="popt.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="slang.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="fam.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxml.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxml2.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxslt.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gmp.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gdbm.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="glib.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="glib2.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libidl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libcroco.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgsf.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libglade.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="expat.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libesmtp.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aspell.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ispell.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="slib.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gwrap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="lzo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libpcap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libusb.xml"/>
 
 </chapter>