Index: general.ent
===================================================================
--- general.ent	(revision d08a78f4c2d112ac4ef7f6ffb4d0c308d4933910)
+++ general.ent	(revision 3762f830e97353e16b5ea2a035fa80cae3c37794)
@@ -524,4 +524,5 @@
 <!ENTITY balsa-version                "2.3.12">
 <!ENTITY gaim-version                 "1.5.0">
+<!ENTITY xchat-version                "2.6.2">
 
 <!-- Part XI -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d08a78f4c2d112ac4ef7f6ffb4d0c308d4933910)
+++ introduction/welcome/changelog.xml	(revision 3762f830e97353e16b5ea2a035fa80cae3c37794)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Added XChat-2.6.2.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated the GCC (gcj) dependency in the Libidn
           instructions to include the gjdoc package also.</para>
@@ -116,5 +119,5 @@
         </listitem>
         <listitem>
-          <para>[dj] - Udated dependencies for Xorg-7.0.0 section and 
+          <para>[dj] - Updated dependencies for Xorg-7.0.0 section and 
           corrected text.</para>
         </listitem>
@@ -151,11 +154,11 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Udated to ImageMagick-6.2.7-5.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Udated to libgtkhtml-2.11.0.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Udated to rsync-2.6.8.</para>
+          <para>[bdubbs] - Updated to ImageMagick-6.2.7-5.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Updated to libgtkhtml-2.11.0.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Updated to rsync-2.6.8.</para>
         </listitem>
       </itemizedlist>
Index: xsoft/other/other.xml
===================================================================
--- xsoft/other/other.xml	(revision d08a78f4c2d112ac4ef7f6ffb4d0c308d4933910)
+++ xsoft/other/other.xml	(revision 3762f830e97353e16b5ea2a035fa80cae3c37794)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="balsa.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gaim.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xchat.xml"/>
 
 </chapter>
Index: xsoft/other/xchat.xml
===================================================================
--- xsoft/other/xchat.xml	(revision 3762f830e97353e16b5ea2a035fa80cae3c37794)
+++ xsoft/other/xchat.xml	(revision 3762f830e97353e16b5ea2a035fa80cae3c37794)
@@ -0,0 +1,157 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xchat-download-http "http://www.xchat.org/files/source/2.6/xchat-&xchat-version;.tar.bz2">
+  <!ENTITY xchat-download-ftp  " ">
+  <!ENTITY xchat-md5sum        "6b534baf9a4df6bf23d7d16f7e4eb379">
+  <!ENTITY xchat-size          "1.0 MB">
+  <!ENTITY xchat-buildsize     "28.6 MB">
+  <!ENTITY xchat-time          "0.4 SBU">
+]>
+
+<sect1 id="xchat" xreflabel="XChat-&xchat-version;">
+  <?dbhtml filename="xchat.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: manuel $</othername>
+    <date>$Date: 2005-12-08 20:34:49 +0000 (Thu, 08 Dec 2005) $</date>
+    <keywordset>
+      <keyword role="package">xchat-&xchat-version;.tar</keyword>
+      <keyword role="ftpdir">xchat</keyword>
+    </keywordset>
+  </sect1info>
+
+  <title>XChat-&xchat-version;</title>
+
+  <indexterm zone="xchat">
+    <primary sortas="a-XChat">XChat</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to XChat</title>
+
+    <para><application>XChat</application> is an IRC chat program.  It allows
+    you to join multiple IRC channels (chat rooms) at the same time, talk
+    publicly, private one-on-one conversations etc.  File transfers are also
+    possible.  </para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&xchat-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&xchat-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &xchat-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &xchat-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &xchat-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &xchat-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">XChat Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+       <xref linkend="glib2"/> and
+       <xref linkend="gtk2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+        <xref linkend="dbus"/>,
+        <xref linkend="openssl"/>,
+        <xref linkend="python"/>, and
+        <xref linkend="tcl"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/xchat"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of XChat</title>
+
+    <para>Install <application>XChat</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para><application>XChat</application> does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>CPPFLAGS=...- -enable-nas</command>:<xref linkend="nas"/>
+    Use this switch if you want to compile <application>Gaim</application>
+    with <xref linkend="nas"/> support.</para>
+
+  </sect2>
+-->
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>xchat and xchat-remote</seg>
+        <seg>xchat plugins</seg>
+        <seg>/usr/lib/xchat</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="xchat-prog">
+        <term><command>xchat</command></term>
+        <listitem>
+          <para> is a graphical Internet Relay Chat (IRC) client.</para>
+          <indexterm zone="xchat xchat-prog">
+            <primary sortas="b-xchat">xchat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xchat-remote">
+        <term><command>xchat-remote</command></term>
+        <listitem>
+          <para> is a program for remote access 
+          <application>XChat</application> using DBUS.</para>
+          <indexterm zone="xchat xchat-remote">
+            <primary sortas="b-xchat-remote">xchat-remote</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>