Index: general.ent
===================================================================
--- general.ent	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ general.ent	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "17">                   <!-- Always 2 digits -->
+<!ENTITY day          "18">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 17th, &year;">
+<!ENTITY releasedate  "July 18th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ general/prog/cmake.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "8efa5e2a9fcd093621dceb7e2ce89130">
-  <!ENTITY cmake-size          "8.5 MB">
-  <!ENTITY cmake-buildsize     "371 MB (add 532 MB for tests)">
-  <!ENTITY cmake-time          "2.6 SBU (add 4.4 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-md5sum        "90ae2d41dd533b012c536df3f31ad0b0">
+  <!ENTITY cmake-size          "8.8 MB">
+  <!ENTITY cmake-buildsize     "392 MB (add 494 MB for tests)">
+  <!ENTITY cmake-time          "2.6 SBU (add 3.3 SBU for tests, both using parallelism=4)">
 ]>
 
@@ -127,5 +127,5 @@
       <literal>LANG</literal> is set to a non-blank value and failures 
       occur, try running the tests without having <literal>LANG</literal> set.
-      One test, Qt5Autogen.SameName, is known to fail.
+      One test, RunCMake.CommandLineTar, is known to fail.
 
      <!-- Please, don't remove this comment, needed if tests start to fail
Index: gnome.ent
===================================================================
--- gnome.ent	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ gnome.ent	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -30,5 +30,5 @@
 <!ENTITY gnome-online-accounts-version     "3.32.0">
 <!ENTITY gnome-video-effects-version       "0.4.3">
-<!ENTITY grilo-version                     "0.3.8">
+<!ENTITY grilo-version                     "0.3.9">
 <!ENTITY libchamplain-version              "0.12.19">
 <!ENTITY libgdata-version                  "0.17.10">
@@ -50,5 +50,5 @@
 <!ENTITY dconf-editor-version              "3.32.0">
 <!ENTITY gnome-backgrounds-version         "3.32.0">
-<!ENTITY gvfs-version                      "1.40.1">
+<!ENTITY gvfs-version                      "1.40.2">
 <!ENTITY gexiv2-version                    "0.12.0">
 <!ENTITY nautilus-version                  "3.32.1">
Index: gnome/platform/grilo.xml
===================================================================
--- gnome/platform/grilo.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ gnome/platform/grilo.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,6 +7,6 @@
   <!ENTITY grilo-download-http "&gnome-download-http;/grilo/0.3/grilo-&grilo-version;.tar.xz">
   <!ENTITY grilo-download-ftp  "&gnome-download-ftp;/grilo/0.3/grilo-&grilo-version;.tar.xz">
-  <!ENTITY grilo-md5sum        "77d97c8360567dbc16323bfd38af0425">
-  <!ENTITY grilo-size          "228 KB">
+  <!ENTITY grilo-md5sum        "b15f41787dff407f7e9df7b5db96006d">
+  <!ENTITY grilo-size          "232 KB">
   <!ENTITY grilo-buildsize     "12 MB">
   <!ENTITY grilo-time          "0.1 SBU">
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ gnome/platform/gvfs.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,8 +7,8 @@
   <!ENTITY gvfs-download-http "&gnome-download-http;/gvfs/1.40/gvfs-&gvfs-version;.tar.xz">
   <!ENTITY gvfs-download-ftp  "&gnome-download-ftp;/gvfs/1.40/gvfs-&gvfs-version;.tar.xz">
-  <!ENTITY gvfs-md5sum        "78496947d11a330d5435d669eade70ad">
+  <!ENTITY gvfs-md5sum        "47db9bec616e089513b7f1386e5c7d5f">
   <!ENTITY gvfs-size          "1.2 MB">
-  <!ENTITY gvfs-buildsize     "57 MB">
-  <!ENTITY gvfs-time          "0.4 SBU">
+  <!ENTITY gvfs-buildsize     "39 MB">
+  <!ENTITY gvfs-time          "0.1 SBU (using parallelism=4)">
 ]>
 
@@ -71,5 +71,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -81,5 +81,5 @@
       </listitem>
     </itemizedlist>
-       
+-->       
     <bridgehead renderas="sect3">Gvfs Dependencies</bridgehead>
 
@@ -135,5 +135,5 @@
   <sect2 role="installation">
     <title>Installation of Gvfs</title>
-
+<!--
     <para>
       First, apply a security patch to fix four security vulnerabilities:
@@ -141,5 +141,5 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../gvfs-&gvfs-version;-fix_security_vulnerabilities-1.patch</userinput></screen>
-
+-->
     <para>
       Install <application>Gvfs</application> by running the following
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ introduction/welcome/changelog.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -42,4 +42,38 @@
     </listitem>
     -->
+
+    <listitem>
+      <para>July 18th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to wireshark-3.0.3. Fixes
+          <ulink url="&blfs-ticket-root;12282">#12282</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ristretto-0.8.5. Fixes
+          <ulink url="&blfs-ticket-root;12281">#12281</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to curl-7.65.2. Fixes
+          <ulink url="&blfs-ticket-root;12280">#12280</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gvfs-1.40.2. Fixes
+          <ulink url="&blfs-ticket-root;12279">#12279</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to grilo-0.3.9. Fixes
+          <ulink url="&blfs-ticket-root;12278">#12278</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cmake-3.15.0. Fixes
+          <ulink url="&blfs-ticket-root;12277">#12277</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bind-9.14.4. Fixes
+          <ulink url="&blfs-ticket-root;12276">#12276</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ networking/netlibs/curl.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,8 +7,8 @@
   <!ENTITY curl-download-http "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "7809378831d10fde18f9f6ae033cd3f3">
+  <!ENTITY curl-md5sum        "2b1bde080347332f829718ca85b5f68a">
   <!ENTITY curl-size          "2.3 MB">
-  <!ENTITY curl-buildsize     "79 MB (add 14 MB for tests)">
-  <!ENTITY curl-time          "0.4 SBU (add 13 SBU for tests)">
+  <!ENTITY curl-buildsize     "73 MB (add 19 MB for tests)">
+  <!ENTITY curl-time          "0.4 SBU (add 15 SBU for tests)">
 ]>
 
@@ -177,5 +177,5 @@
     <para>
        To run the test suite, issue: <command>make test</command>. 
-       Test 1560 is known to fail.
+       Tests 323 and 1560 are known to fail.
        <!-- Two (of 857) tests
       fail for unknown reasons, and all tests fail is valgrind is installed. Moving
@@ -246,4 +246,13 @@
 TESTDONE: 1249 tests were considered during 1091 seconds.
 All dependencies except for externals installed.
+=======
+Added by bdubbs for curl-7.65.2:
+TESTDONE: 1034 tests out of 1036 reported OK: 99%
+TESTFAIL: These test cases failed: 323 1560
+TESTDONE: 1254 tests were considered during 1362 seconds.
+
+Time above does not include test build time.
+
+All dependencies except for externals installed.
 -->
     </para>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ networking/netutils/bind-utils.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,7 +7,7 @@
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum          "61f30afc2108cdc230e08f51466fe2f4">
+  <!ENTITY bind-md5sum          "3b39246f972ac66a6b7d05e9a4076248">
   <!ENTITY bind-size            "6.0 MB">
-  <!ENTITY bind-utils-buildsize "107 MB">
+  <!ENTITY bind-utils-buildsize "138 MB">
   <!ENTITY bind-utils-time      "0.7 SBU">
 ]>
Index: networking/netutils/wireshark.xml
===================================================================
--- networking/netutils/wireshark.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ networking/netutils/wireshark.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,5 +7,5 @@
   <!ENTITY wireshark-download-http "https://www.wireshark.org/download/src/all-versions/wireshark-&wireshark-version;.tar.xz">
   <!ENTITY wireshark-download-ftp  " ">
-  <!ENTITY wireshark-md5sum        "e344675283d6329a4bc213b621d7f46a">
+  <!ENTITY wireshark-md5sum        "e945d76a57db2c3e6cf776f95da2cf0e">
   <!ENTITY wireshark-size          "29 MB">
   <!ENTITY wireshark-buildsize     "554 MB (with all optional dependencies available in the BLFS book)">
Index: packages.ent
===================================================================
--- packages.ent	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ packages.ent	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -312,6 +312,6 @@
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
-<!ENTITY cmake-major-version          "3.14">
-<!ENTITY cmake-minor-version          "6">
+<!ENTITY cmake-major-version          "3.15">
+<!ENTITY cmake-minor-version          "0">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
@@ -563,5 +563,5 @@
 <!ENTITY avahi-version                "0.7">
 <!ENTITY bind-minor-version           "9.14">
-<!ENTITY bind-version                 "&bind-minor-version;.3">
+<!ENTITY bind-version                 "&bind-minor-version;.4">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "1.18.1">
@@ -570,5 +570,5 @@
 <!ENTITY whois-version                "5.4.3">
 <!ENTITY wicd-version                 "1.7.4">
-<!ENTITY wireshark-version            "3.0.2">  <!-- even minors only -->
+<!ENTITY wireshark-version            "3.0.3">  <!-- even minors only -->
 
 <!ENTITY wicd-major-version           "1.7">
@@ -576,5 +576,5 @@
 <!-- Chapter 17 -->
 <!ENTITY c-ares-version               "1.15.0">
-<!ENTITY curl-version                 "7.65.1">
+<!ENTITY curl-version                 "7.65.2">
 <!ENTITY geoclue2-version             "2.5.3">
 <!ENTITY glib-networking-version      "2.60.3">
@@ -801,5 +801,5 @@
 <!ENTITY xfce4-terminal-version       "0.8.8">
 <!ENTITY xfburn-version               "0.5.5">
-<!ENTITY ristretto-version            "0.8.4">
+<!ENTITY ristretto-version            "0.8.5">
 <!ENTITY xfce4-mixer-version          "4.10.0">
 <!ENTITY xfce4-notifyd-version        "0.4.4">
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ server/major/bind.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -7,5 +7,5 @@
   <!ENTITY bind-download-http " ">
   <!ENTITY bind-download-ftp  "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum        "61f30afc2108cdc230e08f51466fe2f4">
+  <!ENTITY bind-md5sum        "3b39246f972ac66a6b7d05e9a4076248">
   <!ENTITY bind-size          "6.0 MB">
   <!ENTITY bind-buildsize     "123 MB (24 MB installed; add 7 MB for tests)">
Index: xfce/apps/ristretto.xml
===================================================================
--- xfce/apps/ristretto.xml	(revision fca6d6cec7b8aebe1e83a5a0136ff338af2588ac)
+++ xfce/apps/ristretto.xml	(revision 03790ef9114fa552dcd81b353ebaac76f072312b)
@@ -8,6 +8,6 @@
            "http://archive.xfce.org/src/apps/ristretto/0.8/ristretto-&ristretto-version;.tar.bz2">
   <!ENTITY ristretto-download-ftp  " ">
-  <!ENTITY ristretto-md5sum        "0142c8b9c492cf447e563b00c6204359">
-  <!ENTITY ristretto-size          "568 KB">
+  <!ENTITY ristretto-md5sum        "66a09d4e0b7d5dbd4c9d9e403f8f97e9">
+  <!ENTITY ristretto-size          "572 KB">
   <!ENTITY ristretto-buildsize     "9.6 MB">
   <!ENTITY ristretto-time          "0.1 SBU">