Index: gnome-systemd/intro/build-order.xml
===================================================================
--- gnome-systemd/intro/build-order.xml	(revision 21d9b29ae15b75ec69b6a66a9dc00f458f135d04)
+++ gnome-systemd/intro/build-order.xml	(revision 03822d259b0cfebc27b918ff03ea744e4bfa231a)
@@ -19,261 +19,261 @@
 
 
-<itemizedlist>
- <listitem>
-<para><xref linkend="yelp-xsl"/>,</para>
- </listitem>
- <listitem>
-<para><xref linkend="gtk-doc"/>,</para>
-</listitem>
- <listitem>
-<para><xref linkend="glib2"/>,</para>
-</listitem>
- <listitem>
-<para><xref linkend="fontconfig"/>,</para>
-</listitem>
- <listitem>
-<para><xref linkend="cairo"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gobject-introspection"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="atk"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="harfbuzz"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="pango"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gdk-pixbuf"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="at-spi2-core"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="at-spi2-atk"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libxkbcommon"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="wayland"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gtk3"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="vala"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="dconf"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gsettings-desktop-schemas"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="p11-kit"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="glib-networking"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libsoup"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gcr"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libgweather"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="json-glib"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="polkit"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="NetworkManager"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="geoclue"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gstreamer10"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="iso-codes"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gst10-plugins-base"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gtk2"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libsecret"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="webkitgtk2"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libnotify"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="librest"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="telepathy-glib"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-online-accounts"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="uhttpmock"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libgdata"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="evolution-data-server"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="accountsservice"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="cogl"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libevdev"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="clutter"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="clutter-gtk"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libgusb"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="colord"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="udisks2"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gvfs"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-desktop"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-menus"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="geocode-glib"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="bluez"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="sbc"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="pulseaudio"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libcanberra"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libcroco"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="librsvg"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="upower"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="ibus"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libwacom"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-settings-daemon"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libgtop"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libpwquality"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="sound-theme-freedesktop"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="totem-pl-parser"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="grilo"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="libgsf"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="poppler"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="exempi"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="shared-mime-info"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="nautilus"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="nautilus-sendto"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-bluetooth"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="network-manager-applet"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="appdata-tools"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gst10-plugins-bad"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gst10-plugins-good"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="clutter-gst2"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-video-effects"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="cheese"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="hicolor-icon-theme"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-icon-theme"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-icon-theme-symbolic"/>,</para>
-</listitem>
-<listitem>
-<para><xref linkend="gnome-icon-theme-extras"/>,</para>
-</listitem>
-<listitem>
+   <itemizedlist>
+     <listitem>
+       <para><xref linkend="yelp-xsl"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gtk-doc"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="glib2"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="fontconfig"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="cairo"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gobject-introspection"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="atk"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="harfbuzz"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="pango"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gdk-pixbuf"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="at-spi2-core"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="at-spi2-atk"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libxkbcommon"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="wayland"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gtk3"/>,</para>
+     </listitem>
+     <listitem> 
+       <para><xref linkend="vala"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="dconf"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gsettings-desktop-schemas"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="p11-kit"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="glib-networking"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libsoup"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gcr"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libgweather"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="json-glib"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="polkit"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="NetworkManager"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="geoclue"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gstreamer10"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="iso-codes"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gst10-plugins-base"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gtk2"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libsecret"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="webkitgtk2"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libnotify"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="librest"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="telepathy-glib"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-online-accounts"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="uhttpmock"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libgdata"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="evolution-data-server"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="accountsservice"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="cogl"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libevdev"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="clutter"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="clutter-gtk"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libgusb"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="colord"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="udisks2"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gvfs"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-desktop"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-menus"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="geocode-glib"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="bluez"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="sbc"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="pulseaudio"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libcanberra"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libcroco"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="librsvg"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="upower"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="ibus"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libwacom"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-settings-daemon"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libgtop"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libpwquality"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="sound-theme-freedesktop"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="totem-pl-parser"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="grilo"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="libgsf"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="poppler"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="exempi"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="shared-mime-info"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="nautilus"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="nautilus-sendto"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-bluetooth"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="network-manager-applet"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="appdata-tools"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gst10-plugins-bad"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gst10-plugins-good"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="clutter-gst2"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-video-effects"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="cheese"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="hicolor-icon-theme"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-icon-theme"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-icon-theme-symbolic"/>,</para>
+     </listitem>
+     <listitem>
+       <para><xref linkend="gnome-icon-theme-extras"/>,</para>
+     </listitem> 
+     <listitem>
 <para><xref linkend="gnome-keyring"/>,</para>
 </listitem>