Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision a6bee1f60f103f0661222317dca17466960d9870)
+++ gnome/add/add.xml	(revision 3838dc02d66523655000711cc11e2b8e4ed41f1d)
@@ -48,4 +48,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-keyring-manager.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-volume-manager.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-mount.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-games.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sound-juicer.xml"/>
Index: gnome/add/gnome-mount.xml
===================================================================
--- gnome/add/gnome-mount.xml	(revision 3838dc02d66523655000711cc11e2b8e4ed41f1d)
+++ gnome/add/gnome-mount.xml	(revision 3838dc02d66523655000711cc11e2b8e4ed41f1d)
@@ -0,0 +1,207 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-mount-download-http "http://people.freedesktop.org/~david/dist/gnome-mount-&gnome-mount-version;.tar.gz">
+  <!ENTITY gnome-mount-download-ftp  " ">
+  <!ENTITY gnome-mount-md5sum        "75f260ea6b0ec3c5e0af3c722fbd9568">
+  <!ENTITY gnome-mount-size          "364 KB">
+  <!ENTITY gnome-mount-buildsize     " MB">
+  <!ENTITY gnome-mount-time          " SBU">
+]>
+
+<sect1 id="gnome-mount" xreflabel="gnome-mount-&gnome-mount-version;">
+  <?dbhtml filename="gnome-mount.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-mount-&gnome-mount-version;</title>
+
+  <indexterm zone="gnome-mount">
+    <primary sortas="a-gnome-mount">gnome-mount</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to gnome-mount</title>
+
+    <warning>
+      <para>The instructions on this page are not complete. This page will
+      be finished ASAP. The dependencies are probably correct, but the build
+      instructions have not been confirmed. This page is being added now 
+      because it is referenced by another GNOME page, which causes validation
+      issues.</para>
+    </warning>
+
+    <para>The <application>gnome-mount</application> package contains programs
+    for mounting, unmounting and ejecting storage devices. The goal for
+    <application>gnome-mount</application> is to get the appropriate GNOME
+    software (such as <application>gnome-volume-manager</application> and
+    <application>GNOME-VFS</application>) to use this instead of invoking
+    <command>mount</command>/<command>umount</command>/<command>eject</command>
+    or direct <application>HAL</application> invoking methods.</para>
+
+    <para>All the <application>gnome-mount</application> programs utilize the
+    methods on <application>HAL</application> and as such run unprivileged. The
+    rationale for <application>gnome-mount</application> is to have a
+    centralized place (in <application>GConf</application>) where settings
+    (e.g., mount options and mount locations) are maintained.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gnome-mount-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gnome-mount-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gnome-mount-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gnome-mount-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gnome-mount-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gnome-mount-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">gnome-mount Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="gnome-keyring"/>,
+    <xref linkend="libgnomeui"/>, and
+    <xref linkend="hal"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="intltool"/> and
+    <xref linkend="nautilus"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gnome-mount"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of gnome-mount</title>
+
+    <para>Install <application>gnome-mount</application> by
+    running the following commands:</para>
+
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &amp;&amp;
+        <!--    -libexecdir=$(pkg-config \
+       check these     -variable=prefix ORBit-2.0)/lib/gnome-mount \
+            -localstatedir=/var/lib \
+            -sysconfdir=&gnome-etc-dir; &amp;&amp; -->
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>dummy para so it will validate</para>
+
+    <!-- check these
+    <para><parameter>-libexecdir=`pkg-config
+    -variable=prefix ORBit-2.0`/lib/gnome-mount</parameter>: This switch puts
+    libexec files in
+    <filename class="directory">$GNOME_PREFIX/lib/gnome-mount</filename>
+    instead of
+     <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+    <para><parameter>-localstatedir=/var/lib</parameter>: This switch
+    puts <application>ScrollKeeper</application> files in
+    <filename class="directory">/var/lib/scrollkeeper</filename> instead of
+    <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+
+    <para><parameter>-sysconfdir=&gnome-etc-dir;</parameter>: This switch puts
+    configuration files in <filename class="directory">&gnome-etc-dir;</filename>
+    instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+    -->
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>gnome-eject, gnome-mount and gnome-umount</seg>
+        <seg>libgnome-mount.{so,a}</seg>
+        <seg></seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gnome-mount-prog">
+        <term><command>gnome-mount</command></term>
+        <listitem>
+          <para>is used to automatically mount storage media and other
+          removable media.</para>
+          <indexterm zone="gnome-mount gnome-mount-prog">
+            <primary sortas="b-gnome-mount">gnome-mount</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gnome-umount">
+        <term><command>gnome-umount</command></term>
+        <listitem>
+          <para>is a symbolic link to <command>gnome-mount</command> used to
+          automatically unmount storage media and other removable media.</para>
+          <indexterm zone="gnome-mount gnome-umount">
+            <primary sortas="g-gnome-umount">gnome-umount</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gnome-eject">
+        <term><command>gnome-eject</command></term>
+        <listitem>
+          <para>is a symbolic link to <command>gnome-mount</command> used to
+          automatically open and close (if supported by the drive) the drive
+          door and tray in CD/DVD drives.</para>
+          <indexterm zone="gnome-mount gnome-eject">
+            <primary sortas="b-gnome-eject">gnome-eject</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgnome-mount">
+        <term><filename class='libraryfile'>libgnome-mount.{so,a}</filename></term>
+        <listitem>
+          <para>contains the API functions for <command>gnome-mount</command>
+          to interface with GNOME and <application>HAL</application>.</para>
+          <indexterm zone="gnome-mount libgnome-mount">
+            <primary sortas="c-libgnome-mount">libgnome-mount.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a6bee1f60f103f0661222317dca17466960d9870)
+++ introduction/welcome/changelog.xml	(revision 3838dc02d66523655000711cc11e2b8e4ed41f1d)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Added new package gnome-mount-0.4 (not fully
+          complete, but added now to fix a validation issue).</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to GNOME-2.14.2. All version entities have
           been updated with the core package updates being complete. The
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision a6bee1f60f103f0661222317dca17466960d9870)
+++ introduction/welcome/credits.xml	(revision 3838dc02d66523655000711cc11e2b8e4ed41f1d)
@@ -170,5 +170,5 @@
         gnome-libs, gnome-media, gnome-mime-data, gnome-panel, gnome-session,
         gnome-system-monitor, gnome-terminal, gnome-themes, gnome-utils, gnome-vfs,
-        gnome2-user-docs, gnumeric, GTK+2, gtk-doc, gtk-engines,
+        gnome-user-docs, gnumeric, GTK+2, gtk-doc, gtk-engines,
         eel, imlib, intltool, lame, libao, libart_lgpl, libbonobo, libbonoboui,
         libgail-gnome, libglade2, libgnome, libgnomecanvas, libgnomeprint,
@@ -231,7 +231,8 @@
         dvd+rw-tools, Ethereal, Evince, Evolution Data Server, Exim (many
         additions), Expect, FOP, FreeTTS, FriBidi, GC, GCC (rewrite), GMime,
-        gnome-audio, gnome-backgrounds, gnome-menus, gnome-volume-manager,
-        GNOME Doc Utils, GNOME Keyring Manager, GnuCash (many additions),
-        GOffice, Graphviz, HAL, Heimdal, HTML Tidy, ISO Codes, JadeTeX,
+        gnome-audio, gnome-backgrounds, gnome-menus, gnome-mount,
+        gnome-volume-manager, GNOME Doc Utils, GNOME Keyring Manager,
+        GnuCash (many additions), GOffice, Graphviz, GStreamer Base Plug-ins,
+        HAL, Heimdal, HTML Tidy, ISO Codes, JadeTeX,
         Java Access Bridge, K3b, LessTif (rewrite), libexif, libgail-gnome,
         libgnomecups, Libidn, libmpeg2, libmusicbrainz, libquicktime, MPlayer