Index: general.ent
===================================================================
--- general.ent	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ general.ent	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -631,5 +631,5 @@
 <!ENTITY notification-daemon-version  "0.7.6">
 <!ENTITY totem-pl-parser-version      "3.10.2">
-<!ENTITY vte-version                  "0.36.0">
+<!ENTITY vte-version                  "0.36.1">
 
 <!-- Runtime -->
@@ -655,5 +655,5 @@
 <!ENTITY gnome-screenshot-version     "3.12.0">
 <!ENTITY gnome-system-monitor-version "3.12.1">
-<!ENTITY gnome-terminal-version       "3.12.0">
+<!ENTITY gnome-terminal-version       "3.12.1">
 <!ENTITY gucharmap-version            "3.12.0">
 <!ENTITY nautilus-version             "3.12.0">
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ gnome/applications/gnome-terminal.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-terminal-download-ftp
            "&gnome-download-ftp;/gnome-terminal/&gnome-minor;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "0db5151745f681af5392f18e307a6dc3">
+  <!ENTITY gnome-terminal-md5sum        "ea25923b736d451504635668eb850895">
   <!ENTITY gnome-terminal-size          "1.7 MB">
   <!ENTITY gnome-terminal-buildsize     "41 MB">
-  <!ENTITY gnome-terminal-time          "0.3 SBU">
+  <!ENTITY gnome-terminal-time          "0.4 SBU">
 ]>
 
Index: gnome/applications/nautilus.xml
===================================================================
--- gnome/applications/nautilus.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ gnome/applications/nautilus.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -96,4 +96,5 @@
     <bridgehead renderas="sect4">Recommended (Runtime)</bridgehead>
     <para role="recommended">
+      <xref linkend="gnome-icon-theme-symbolic"/>, and
       <xref linkend="gvfs"/> (For hotplugging and device mounting to work)
     </para>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ gnome/platform/vte.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -7,7 +7,7 @@
   <!ENTITY vte-download-http "&gnome-download-http;/vte/0.36/vte-&vte-version;.tar.xz">
   <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.36/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-md5sum        "64f15103446a8837cc1bc6f2619f10fe">
-  <!ENTITY vte-size          "988 KB">
-  <!ENTITY vte-buildsize     "20 MB (additional 3 MB for the tests)">
+  <!ENTITY vte-md5sum        "e17e7a117819a4dd7641d259d9f0ddfc">
+  <!ENTITY vte-size          "992 KB">
+  <!ENTITY vte-buildsize     "19 MB (additional 3 MB for the tests)">
   <!ENTITY vte-time          "0.3 SBU (additional 0.1 SBU for the tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ introduction/welcome/changelog.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -49,4 +49,17 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Fixes to build lame-3.99.5 and
+          gst-plugins-base-1.2.4 with gcc-4.9.0. Minor fixes to
+          libdvdread-4.9.9 and nautilus-3.12.0.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - gnome-terminal-3.12.1. Fixes
+          <ulink url="&blfs-ticket-root;4996">#4996</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - vte-0.36.1. Fixes
+          <ulink url="&blfs-ticket-root;4997">#4997</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Remove unneeded flags for compiling GCC-4.9.0
           and correct test instructions.</para>
Index: multimedia/audioutils/lame.xml
===================================================================
--- multimedia/audioutils/lame.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ multimedia/audioutils/lame.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -89,4 +89,10 @@
   <sect2 role="installation">
     <title>Installation of LAME</title>
+
+    <para>
+      First, for i686, fix a problem with gcc-4.9.0:
+    </para>
+
+<screen><userinput>sed -i -e 's/fast-math/&amp; -msse2/' configure</userinput></screen>
 
     <para>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -123,4 +123,10 @@
 
     <para>
+      First, for i686, fix a problem with gcc-4.9.0:
+    </para>
+
+<screen><userinput>sed -i -e 's/-O2/&amp; -msse2/' configure</userinput></screen>
+
+    <para>
       Install <application>GStreamer Base Plug-ins</application> by running the
       following commands:
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision b10cfc81762a7f0211b287bd23897551218bb314)
+++ multimedia/libdriv/libdvdread.xml	(revision 3844cf2e4e4391e7447f210d7888f570422c8148)
@@ -68,6 +68,5 @@
     following commands:</para>
 
-<screen><userinput>
-./configure --prefix=/usr    \
+<screen><userinput>./configure --prefix=/usr    \
             --disable-static \
             --docdir=/usr/share/libdvdread-&libdvdread-version;