Index: general/genlib/pcre.xml
===================================================================
--- general/genlib/pcre.xml	(revision a1c370100c0af6659290c040a2394f49599dde02)
+++ general/genlib/pcre.xml	(revision 3861ffb3446132bb29df6d0e490c7e8e9c9f0f83)
@@ -5,10 +5,12 @@
   %general-entities;
 
-  <!ENTITY pcre-download-http "&sourceforge-repo;/pcre/pcre-&pcre-version;.tar.bz2">
-  <!ENTITY pcre-download-ftp  "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-&pcre-version;.tar.bz2">
-  <!ENTITY pcre-md5sum        "f14a9fef3c92f3fc6c5ac92d7a2c7eb3">
-  <!ENTITY pcre-size          "976 KB">
-  <!ENTITY pcre-buildsize     "12 MB">
-  <!ENTITY pcre-time          "0.3 SBU">
+  <!ENTITY pcre-download-http
+  "&sourceforge-repo;/pcre/pcre-&pcre-version;.tar.bz2">
+  <!ENTITY pcre-download-ftp
+  "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-&pcre-version;.tar.bz2">
+  <!ENTITY pcre-md5sum        "d5ee0d9f6d2f0b7489331d04b6c182ef">
+  <!ENTITY pcre-size          "1.6 MB">
+  <!ENTITY pcre-buildsize     "13 MB">
+  <!ENTITY pcre-time          "0.2 SBU">
 ]>
 
@@ -40,7 +42,8 @@
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
+      <!-- 8.30 isn't on sourceforge yet
       <listitem>
         <para>Download (HTTP): <ulink url="&pcre-download-http;"/></para>
-      </listitem>
+      </listitem> -->
       <listitem>
         <para>Download (FTP): <ulink url="&pcre-download-ftp;"/></para>
@@ -62,5 +65,4 @@
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/pcre"/></para>
-
   </sect2>
 
@@ -71,10 +73,7 @@
     the following commands:</para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --docdir=/usr/share/doc/pcre-&pcre-version; \
-            --enable-utf8 \
-            --enable-unicode-properties \
-            --enable-pcregrep-libz \
-            --enable-pcregrep-libbz2 &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static --libdir=/lib \
+  --docdir=/usr/share/doc/pcre-&pcre-version; --enable-utf8 --enable-unicode-properties \
+  --enable-pcregrep-libz --enable-pcregrep-libbz2 &amp;&amp;
 make</userinput></screen>
 
@@ -86,21 +85,21 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
-
-    <para>If you reinstall <application>Grep</application> after installing
-    <application>PCRE</application>, <application>Grep</application> will get
-    linked against <application>PCRE</application> and may cause problems if
-    <filename class="directory">/usr</filename> is a separate mount point. To avoid
-    this, either pass the option <option>--disable-perl-regexp</option> when executing
-    <command>./configure</command> for <application>Grep</application> or move
-    <filename class="libraryfile">libpcre</filename> to <filename
-    class="directory">/lib</filename> as follows.</para>
-
-<screen role="root"><userinput>mv -v /usr/lib/libpcre.so.* /lib/ &amp;&amp;
-ln -v -sf ../../lib/libpcre.so.0 /usr/lib/libpcre.so</userinput></screen>
-
   </sect2>
 
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><option>--disable-static</option>: This switch prevents the static
+    libraries being installed.</para>
+
+    <para><option>--libdir=/lib</option>: This option makes it install its
+    libraries into /lib. If you reinstall <application>Grep</application> after
+    installing <application>PCRE</application>, <application>Grep</application>
+    will get linked against <application>PCRE</application> and this may cause
+    problems during the boot process if
+    <filename class="directory">/usr</filename> is a separate mount
+    point. If you have <filename class="directory">/usr/lib</filename> on the
+    same partition as <filename class="directory">/lib</filename> you can omit
+    this option</para>
 
     <para><parameter>--enable-utf8</parameter>: This switch includes the code for
@@ -114,14 +113,9 @@
     <para><parameter>--enable-pcregrep-libz</parameter>: This switch adds
     support to <command>pcregrep</command> to read
-    <filename class='extension'>.gz</filename> compressed files.</para>
+    <filename class="extension">.gz</filename> compressed files.</para>
 
     <para><parameter>--enable-pcregrep-libbz2</parameter>: This switch adds
     support to <command>pcregrep</command> to read
-    <filename class='extension'>.bz2</filename> compressed files.</para>
-
-    <para><parameter>--enable-shared --disable-static</parameter>: This pair
-    of switches prevents the static libraries in this package from being
-    built and installed.</para>
-
+    <filename class="extension">.bz2</filename> compressed files.</para>
   </sect2>
 
@@ -136,5 +130,5 @@
       <seglistitem>
         <seg>pcregrep, pcretest, and pcre-config</seg>
-        <seg>libpcre.{so,a}, libpcrecpp.{so,a} and libpcreposix.{so,a}</seg>
+        <seg>libpcre.so, libpcrecpp.so and libpcreposix.so</seg>
         <seg>/usr/share/doc/pcre-&pcre-version;</seg>
       </seglistitem>
@@ -178,8 +172,5 @@
         </listitem>
       </varlistentry>
-
     </variablelist>
-
   </sect2>
-
 </sect1>