Index: general.ent
===================================================================
--- general.ent	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ general.ent	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 16th, &year;">
+<!ENTITY releasedate  "February 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ general/genlib/glib2.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -99,5 +99,5 @@
     <para role="optional">
       <xref linkend="dbus"/> (required for some tests),
-      <xref linkend="elfutils"/> and
+<!--      <xref linkend="elfutils"/> and -->
         <xref linkend="DocBook"/>,
         <xref linkend="docbook-xsl"/>, and
Index: general/prog/expect.xml
===================================================================
--- general/prog/expect.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ general/prog/expect.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -7,7 +7,7 @@
   <!ENTITY expect-download-http "&sourceforge-dl;/expect/expect&expect-version;.tar.gz">
   <!ENTITY expect-download-ftp  " ">
-  <!ENTITY expect-md5sum        "a8855cd41c1ef004b9794db9e2a57a9d">
-  <!ENTITY expect-size          "612 KB">
-  <!ENTITY expect-buildsize     "3.3 MB (with tests)">
+  <!ENTITY expect-md5sum        "00fce8de158422f5ccd2666512329bd2">
+  <!ENTITY expect-size          "624 KB">
+  <!ENTITY expect-buildsize     "3.2 MB (with tests)">
   <!ENTITY expect-time          "0.2 SBU (with tests)">
 ]>
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ general/prog/prog.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -32,5 +32,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="doxygen.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="elfutils.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="elfutils.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gcc.xml"/>
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ general/sysutils/systemd.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -81,5 +81,5 @@
       <xref linkend="cacerts"/>,
       <xref linkend="curl"/>,
-      <xref linkend="elfutils"/>,
+<!--      <xref linkend="elfutils"/>, -->
       <xref linkend="gnutls"/>,
       <xref linkend="iptables"/>,
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ gnome/platform/evolution-data-server.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -104,5 +104,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="elfutils"/>,
+<!--      <xref linkend="elfutils"/>,-->
       <xref linkend="gtk-doc"/>,
       <xref linkend="mitkrb"/>,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ introduction/welcome/changelog.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -42,4 +42,18 @@
     </listitem>
 -->
+    <listitem>
+      <para>February 17th, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to expect-5.45.5. Fixes
+          <ulink url="&blfs-ticket-root;10378">#10378</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove elfutils.  The library is all that is
+          needed and that is now in LFS.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>February 16th, 2018</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ packages.ent	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -311,5 +311,5 @@
 <!ENTITY doxygen-version              "1.8.14">
 <!ENTITY elfutils-version             "0.170">
-<!ENTITY expect-version               "5.45.3">
+<!ENTITY expect-version               "5.45.4">
 <!ENTITY gcc-version                  "7.3.0">
 <!--<!ENTITY gcc-java-version             "7.1.0">-->
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ postlfs/filesystems/xfsprogs.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -33,5 +33,5 @@
     administration and debugging tools for the XFS file system.</para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision baa6857aba94d454de7cce79feb62cb003a5092c)
+++ x/installing/mesa.xml	(revision 3867d8ee1adf54279e6c5d42e0901aff28c081a2)
@@ -104,5 +104,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="elfutils"/> (required for the radeonsi driver),
+      <!-- <xref linkend="elfutils"/> (required for the radeonsi driver), -->
       
       <phrase revision="systemd"><xref linkend="libva"/> (to build drivers for 
@@ -136,8 +136,8 @@
     <note>
       <para>
-        The instructions below assume that <application>elfutils</application>
-        and <application>LLVM</application> with the r600/amdgpu and host 
+        The instructions below assume that <!-- <application>elfutils</application>
+        and --> <application>LLVM</application> with the r600/amdgpu and host 
         backends are installed. You will need to modify the instructions if you
-        choose not to install them.  For an explanation of Gallium3D see
+        choose not to install it.  For an explanation of Gallium3D see
         <ulink url="https://en.wikipedia.org/wiki/Gallium3D"/>.
       </para>