Index: multimedia/libdriv/farstream-systemd.xml
===================================================================
--- multimedia/libdriv/farstream-systemd.xml	(revision 3894f6c64afacff4a9cb3a70c99d7b330bbef43e)
+++ multimedia/libdriv/farstream-systemd.xml	(revision 3894f6c64afacff4a9cb3a70c99d7b330bbef43e)
@@ -0,0 +1,199 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY farstream-download-http
+           "http://freedesktop.org/software/farstream/releases/farstream/farstream-&farstream-version;.tar.gz">
+  <!ENTITY farstream-download-ftp  " ">
+  <!ENTITY farstream-md5sum        "63cecbb912e7a8b96d4470420327e2cc">
+  <!ENTITY farstream-size          "1.3 MB">
+  <!ENTITY farstream-buildsize     "30 MB">
+  <!ENTITY farstream-time          "0.2 SBU">
+]>
+
+<sect1 id="farstream" xreflabel="Farstream-&farstream-version;">
+  <?dbhtml filename="farstream.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Farstream-&farstream-version;</title>
+
+  <indexterm zone="farstream">
+    <primary sortas="a-Farstream">Farstream</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Farstream</title>
+
+    <para>
+      The <application>Farstream</application> package contains libraries
+      and a collection of <application>GStreamer</application> modules
+      used for video conferencing.
+    </para>
+
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&farstream-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&farstream-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &farstream-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &farstream-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &farstream-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &farstream-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Optional patch:
+          <ulink url="&patch-root;/farstream-&farstream-version;-fix_documentation-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Farstream Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gst10-plugins-base"/> and
+      <xref linkend="libnice"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended (Runtime)</bridgehead>
+    <para role="recommended">
+      <xref linkend="gst10-plugins-bad"/> and
+      <xref linkend="gst10-plugins-good"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="valgrind"/> and
+      <ulink url="&gnome-download-http;/gupnp-igd/">GuPNP-IGD</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/farstream"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Farstream</title>
+
+    <para>
+      If you have downloaded the optional patch, apply it by running
+      the following command:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../farstream-&farstream-version;-fix_documentation-1.patch</userinput></screen>
+
+    <para>
+      Install <application>Farstream</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libfarstream-0.2.so
+        </seg>
+        <seg>
+          /usr/include/farstream-0.2,
+          /usr/lib/farstream-0.2,
+          /usr/share/farstream,
+          /usr/share/gtk-doc/html/farstream-libs-1.0, and
+          /usr/share/gtk-doc/html/farstream-plugins-0.2
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libfarstream-0.2">
+        <term><filename class="libraryfile">libfarstream-0.2.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Farstream</application> API functions.
+          </para>
+          <indexterm zone="farstream libfarstream-0.2">
+            <primary sortas="c-libfarstream-0.2">libfarstream-0.2.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 44ae5736060f9a6b96813f533a3facef1b95ae5d)
+++ multimedia/libdriv/libdriv.xml	(revision 3894f6c64afacff4a9cb3a70c99d7b330bbef43e)
@@ -32,4 +32,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="faac.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="faad2.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="farstream-systemd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fdk-aac.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="flac.xml"/>
@@ -78,4 +79,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sbc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sdl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sound-theme-freedesktop-systemd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="soundtouch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="speex.xml"/>
Index: multimedia/libdriv/sound-theme-freedesktop-systemd.xml
===================================================================
--- multimedia/libdriv/sound-theme-freedesktop-systemd.xml	(revision 3894f6c64afacff4a9cb3a70c99d7b330bbef43e)
+++ multimedia/libdriv/sound-theme-freedesktop-systemd.xml	(revision 3894f6c64afacff4a9cb3a70c99d7b330bbef43e)
@@ -0,0 +1,125 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY sound-theme-freedesktop-download-http
+           "http://people.freedesktop.org/~mccann/dist/sound-theme-freedesktop-&sound-theme-freedesktop-version;.tar.bz2">
+  <!ENTITY sound-theme-freedesktop-download-ftp  " ">
+  <!ENTITY sound-theme-freedesktop-md5sum        "7bcad4fa54570f80c612012bce66f60f">
+  <!ENTITY sound-theme-freedesktop-size          "472 KB">
+  <!ENTITY sound-theme-freedesktop-buildsize     "2 MB">
+  <!ENTITY sound-theme-freedesktop-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="sound-theme-freedesktop" xreflabel="sound-theme-freedesktop-&sound-theme-freedesktop-version;">
+  <?dbhtml filename="sound-theme-freedesktop.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>sound-theme-freedesktop-&sound-theme-freedesktop-version;</title>
+
+  <indexterm zone="sound-theme-freedesktop">
+    <primary sortas="a-sound-theme-freedesktop">sound-theme-freedesktop</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Sound Theme Freedesktop</title>
+
+    <para>
+      The <application>Sound Theme Freedesktop</application> package
+      contains sound themes for the desktop.
+    </para>
+
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&sound-theme-freedesktop-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&sound-theme-freedesktop-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &sound-theme-freedesktop-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &sound-theme-freedesktop-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &sound-theme-freedesktop-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &sound-theme-freedesktop-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/sound-theme-freedesktop"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Sound Theme Freedesktop</title>
+
+    <para>
+      Install <application>Sound Theme Freedesktop</application> by running
+      the following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/sounds/freedesktop
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>