Index: gnome/core/control/control-center-exp.xml
===================================================================
--- gnome/core/control/control-center-exp.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/core/control/control-center-exp.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -1,4 +1,9 @@
 <sect2>
 <title>Command explanations</title>
+
+<para><parameter>--libexecdir=`pkg-config --variable=prefix
+ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
+<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
 <para><parameter>--localstatedir=/var/lib</parameter>: This switch
Index: gnome/core/control/control-center-inst.xml
===================================================================
--- gnome/core/control/control-center-inst.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/core/control/control-center-inst.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -5,4 +5,5 @@
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
 --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
 make &amp;&amp;
Index: gnome/lib/libgnomeprint/libgnomeprint-exp.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-exp.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/lib/libgnomeprint/libgnomeprint-exp.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -6,6 +6,6 @@
 <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
-<para><option>--enable-gtk-doc</option>: This switch rebuilds the
-documentation during the <command>make</command> command.</para>
+<para><option>--disable-gtk-doc</option>: This switch prevents
+rebuilding the documentation during the <command>make</command> command.</para>
 
 </sect2>
Index: gnome/lib/libgnomeprint/libgnomeprint-inst.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-inst.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/lib/libgnomeprint/libgnomeprint-inst.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -4,5 +4,6 @@
 <para>Install <application>libgnomeprint</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome &amp;&amp;
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` /
+ --sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/libgnomeprint/libgnomeprint.ent
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint.ent	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/lib/libgnomeprint/libgnomeprint.ent	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -4,8 +4,8 @@
 <!ENTITY libgnomeprint-exp SYSTEM "libgnomeprint-exp.xml">
 <!ENTITY libgnomeprint-desc SYSTEM "libgnomeprint-desc.xml">
-<!ENTITY libgnomeprint-version "2.2.1.3">
-<!ENTITY libgnomeprint-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.2/libgnomeprint-&libgnomeprint-version;.tar.bz2">
-<!ENTITY libgnomeprint-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.2/libgnomeprint-&libgnomeprint-version;.tar.bz2">
-<!ENTITY libgnomeprint-size "600 KB">
-<!ENTITY libgnomeprint-buildsize "22 MB">
+<!ENTITY libgnomeprint-version "2.4.0">
+<!ENTITY libgnomeprint-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.4/libgnomeprint-&libgnomeprint-version;.tar.bz2">
+<!ENTITY libgnomeprint-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.4/libgnomeprint-&libgnomeprint-version;.tar.bz2">
+<!ENTITY libgnomeprint-size "640 KB">
+<!ENTITY libgnomeprint-buildsize "25.7 MB">
 <!ENTITY libgnomeprint-time "0.64 SBU">
Index: gnome/lib/libgnomeprintui/libgnomeprintui-exp.xml
===================================================================
--- gnome/lib/libgnomeprintui/libgnomeprintui-exp.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/lib/libgnomeprintui/libgnomeprintui-exp.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -2,6 +2,6 @@
 <title>Command explanations</title>
 
-<para><option>--enable-gtk-doc</option>: This switch rebuilds the
-documentation during the <command>make</command> command.</para>
+<para><option>--disable-gtk-doc</option>: This switch prevents
+rebuilding the documentation during the <command>make</command> command.</para>
 
 </sect2>
Index: gnome/lib/libgnomeprintui/libgnomeprintui-inst.xml
===================================================================
--- gnome/lib/libgnomeprintui/libgnomeprintui-inst.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/lib/libgnomeprintui/libgnomeprintui-inst.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -4,5 +4,6 @@
 <para>Install <application>libgnomeprintui</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` /
+  --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/libgnomeprintui/libgnomeprintui.ent
===================================================================
--- gnome/lib/libgnomeprintui/libgnomeprintui.ent	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ gnome/lib/libgnomeprintui/libgnomeprintui.ent	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -4,8 +4,8 @@
 <!ENTITY libgnomeprintui-exp SYSTEM "libgnomeprintui-exp.xml">
 <!ENTITY libgnomeprintui-desc SYSTEM "libgnomeprintui-desc.xml">
-<!ENTITY libgnomeprintui-version "2.2.1.3">
-<!ENTITY libgnomeprintui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.2/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
-<!ENTITY libgnomeprintui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.2/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
-<!ENTITY libgnomeprintui-size "464 KB">
-<!ENTITY libgnomeprintui-buildsize "20.5 MB">
+<!ENTITY libgnomeprintui-version "2.4.0">
+<!ENTITY libgnomeprintui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.4/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
+<!ENTITY libgnomeprintui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.4/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
+<!ENTITY libgnomeprintui-size "500 KB">
+<!ENTITY libgnomeprintui-buildsize "26.1 MB">
 <!ENTITY libgnomeprintui-time "0.29 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 81e3495836e812b5cfcf58bca5bbb034b59f034a)
+++ introduction/welcome/changelog.xml	(revision 3910c201b0b09a1ae319dead6066b49001f5824b)
@@ -13,5 +13,5 @@
 
 <listitem><para>December 12th, 2003 [larry]: Updated to CUPS-1.1.20 and
-bug-buddy-2.4.1.</para></listitem>
+bug-buddy-2.4.1, libgnomeprint-2.4.0 and libgnomeprintui-2.4.0.</para></listitem>
 
 <listitem><para>December 10th, 2003 [igor]: Updated to