Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8d97143ceee1b182db6fa04c700d5608ce7be399)
+++ introduction/welcome/changelog.xml	(revision 3927e328f3bcd711aacad95403c5939bc8b9a6ae)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to Thunderbird-78.0 (Security Update). Fixes
+          <ulink url="&blfs-ticket-root;13806">#13806</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to gpgme-1.14.0. Fixes
           <ulink url="&blfs-ticket-root;13813">#13813</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 8d97143ceee1b182db6fa04c700d5608ce7be399)
+++ packages.ent	(revision 3927e328f3bcd711aacad95403c5939bc8b9a6ae)
@@ -925,5 +925,5 @@
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
-<!ENTITY thunderbird-version          "68.9.0">
+<!ENTITY thunderbird-version          "78.0">
 <!ENTITY tigervnc-version             "1.10.1">
 <!ENTITY transmission-version         "3.00">
Index: server/databases/sqlite.xml
===================================================================
--- server/databases/sqlite.xml	(revision 8d97143ceee1b182db6fa04c700d5608ce7be399)
+++ server/databases/sqlite.xml	(revision 3927e328f3bcd711aacad95403c5939bc8b9a6ae)
@@ -182,6 +182,5 @@
       -DSQLITE_ENABLE_UNLOCK_NOTIFY=1
       -DSQLITE_ENABLE_DBSTAT_VTAB=1"</parameter>: Applications such as
-      <application>SeaMonkey</application> and
-      <application>Thunderbird</application> require these options
+      <application>SeaMonkey</application> require these options
       to be turned on.
       The only way to do this is to include them in
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 8d97143ceee1b182db6fa04c700d5608ce7be399)
+++ xsoft/graphweb/firefox.xml	(revision 3927e328f3bcd711aacad95403c5939bc8b9a6ae)
@@ -458,7 +458,7 @@
       <application>KDE</application> you may like to create a
       <filename>firefox.desktop</filename> file so that
-      <application>Firefox</application> appears in the panel's menus. If you
+      <application>Firefox</application> appears in the panel's menus. <!--If you
       didn't enable startup-notification in your mozconfig change the
-      StartupNotify line to false. As the
+      StartupNotify line to false.--> As the
       <systemitem class="username">root</systemitem> user:
     </para>
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 8d97143ceee1b182db6fa04c700d5608ce7be399)
+++ xsoft/other/thunderbird.xml	(revision 3927e328f3bcd711aacad95403c5939bc8b9a6ae)
@@ -7,8 +7,8 @@
   <!ENTITY thunderbird-download-http "&mozilla-http;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.xz">
   <!ENTITY thunderbird-download-ftp  " ">
-  <!ENTITY thunderbird-md5sum        "56a71d11921ac2562ed3c5b2761281e1">
-  <!ENTITY thunderbird-size          "317 MB">
-  <!ENTITY thunderbird-buildsize     "8.7 GB (144 MB installed)">
-  <!ENTITY thunderbird-time          "22 SBU (on a 4-core 8-thread machine)">
+  <!ENTITY thunderbird-md5sum        "b92652deac6adc0be11f5e4f09c62842">
+  <!ENTITY thunderbird-size          "338 MB">
+  <!ENTITY thunderbird-buildsize     "10.8 GB (173 MB installed)">
+  <!ENTITY thunderbird-time          "44 SBU (on a 4-core machine)">
   <!-- Removed the -j1 time because python and rust do not obey it, although
        the C/C++ code appears to obey it -->
@@ -85,4 +85,6 @@
       <xref linkend="llvm"/>, <!-- Searched for and used a few times -->
       <xref linkend="nodejs"/>,
+      <xref linkend="python3"/> (rebuilt with the sqlite module),
+      <xref linkend="startup-notification"/>,
     <!-- When thunderbird moves to 78.0 it will want python3 built against
       sqlite3, as firefox already does. Please add here and update the
@@ -101,7 +103,6 @@
 <!-- Fails to build with version 1.8.0
       <xref linkend="libvpx"/>,-->
-      <xref linkend="nspr"/>,
-      <xref linkend="nss"/>, and
-      <xref linkend="sqlite"/>
+      <xref linkend="nspr"/>, and
+      <xref linkend="nss"/>
     </para>
 
@@ -128,5 +129,4 @@
       <!-- <xref linkend="openjdk"/>, not in build log -->
       <xref linkend="pulseaudio"/>,
-      <xref linkend="startup-notification"/>,
       <xref linkend="wget"/>, and
       <xref linkend="wireless_tools"/>
@@ -164,5 +164,4 @@
 #mk_add_options MOZ_MAKE_FLAGS="-j1"
 
-
 # If you have installed dbus-glib, comment out this line:
 ac_add_options --disable-dbus
@@ -171,7 +170,4 @@
 ac_add_options --disable-necko-wifi
 
-# Uncomment these lines if you have installed optional dependencies:
-#ac_add_options --enable-startup-notification
-
 # Comment out following option if you have PulseAudio installed
 ac_add_options --disable-pulseaudio
@@ -185,5 +181,4 @@
 # Comment out following options if you have not installed
 # recommended dependencies:
-ac_add_options --enable-system-sqlite
 ac_add_options --with-system-libevent
 ac_add_options --with-system-nspr
@@ -222,5 +217,4 @@
 ac_add_options --enable-system-pixman
 
-ac_add_options --with-system-bz2
 ac_add_options --with-system-jpeg
 ac_add_options --with-system-png
@@ -333,8 +327,8 @@
       <para>
         First, open the configuration dialog by opening the <quote>Edit</quote>
-        drop-down menu. Choose <quote>Preferences</quote> and then click on the
-        <quote>Advanced</quote> icon on the top menu bar. Choose the
-        <quote>General</quote> tab and click on the <quote>Config Editor</quote>
-        button. This will display a list of the configuration preferences and
+        drop-down menu. Choose <quote>Preferences</quote> and then scroll down
+        to the bottom of the page. Then, click the <quote>Config Editor</quote>
+        button. Click on the <quote>I accept the risk!</quote> button. 
+        This will display a list of the configuration preferences and
         information related to each one. You can use the <quote>Filter:</quote>
         bar to enter search criteria and narrow down the listed items. Changing
@@ -371,7 +365,7 @@
       <filename>thunderbird.desktop</filename> may be created, in order to
       include a <quote><application>Thunderbird</application></quote> entry in
-      the menu. If you didn't enable
+      the menu. <!--If you didn't enable
       <application>startup-notification</application> in your mozconfig, then
-      change the StartupNotify line to false. Run the following commands as the
+      change the StartupNotify line to false.--> Run the following commands as the
       <systemitem class="username">root</systemitem> user:
 
@@ -413,6 +407,7 @@
         <seg>
           libldap60.so, libldif60.so, liblgpllibs.so, libmozgtk.so, 
-          libmozsandbox.so, libmozwayland.so libprldap60.so, and libxul.so,
-          all in /usr/lib/thunderbird directory
+          libmozsandbox.so, libmozsqlite3.so, libmozwayland.so, libmp.so,
+          libprldap60.so, and libxul.so, all in the /usr/lib/thunderbird 
+          directory
         </seg>
         <seg>